(**

  Delphi DUnit Test Case
  ----------------------
  This unit contains a skeleton test case class generated by the Test Case Wizard.
  Modify the generated code to correctly setup and call the methods from the unit
  being tested.

  @stopdocumentation

**)

unit TestDGHLibrary;

interface

uses
  TestFramework, Windows, SysUtils, Classes, Graphics, DGHLibrary;
type
  TDGHTestCase = Class(TTestCase)
  Public
    Procedure CheckEquals(dblExpected, dblActual, dblTolerance : Double;
      strMsg : String = ''); Overload;
  End;

  TestApplicationFunctions = Class(TDGHTestCase)
  Published
    Procedure TestAdjustBearing;
    Procedure TestBearingToString;
    Procedure TestBinToDec;
    Procedure TestBinToHex;
    Procedure TestBinToOct;
    Procedure TestCapitalise;
    Procedure TestCharCount;
    Procedure TestConvertDate;
    Procedure TestDecimalToDMS;
    Procedure TestDecToBin;
    Procedure TestDecToHex;
    Procedure TestDecToOct;
    Procedure TestDMSToDecimal;
    Procedure TestDMSAsDecToDecimal;
    Procedure TestExtractFileNameOnly;
    Procedure TestGetField;
    Procedure TestGetVector;
    Procedure TestHexToBin;
    Procedure TestHexToDec;
    Procedure TestHexToOct;
    Procedure TestIsKeyWord;
    Procedure TestOctToBin;
    Procedure TestOctToDec;
    Procedure TestOctToHex;
    Procedure TestPosOfNthChar;
    Procedure TestPow;
    Procedure TestReduceBearing;
    Procedure TestEvaluateEquation;
    Procedure TestLike;
    Procedure TestCalcColour;
    Procedure TestDGHFindOnPath;
    Procedure TestDGHCreateProcess;
    Procedure TestDGHPathRelativePathTo;
  End;

  THStraightElementTestClass = Class(THStraightElement)
  Public
    Function GetElementType : TElementType; Override;
    Function GetStartPoint : THInfo; Override;
    Function GetEndPoint : THInfo; Override;
    Function GetStartChainage : Double; Override;
    Function GetEndChainage : Double; Override;
    Function GetRadius(dblChainage : Double) : Double; Override;
    Function Setout(dblChainage, dblOffset : Double) : THInfo; Override;
    Function Measure(dblEasting, dblNorthing : Double) : THInfo; Override;
    Function Compare(dblEasting, dblNorthing, dblBearing : Double) : THCompInfo; Override;
    Function GetElementDetails : THElement; Override;
    Constructor Create(dblEasting, dblNorthing, dblBearing, dblChainage,
      dblLength : Double); Override;
  End;

  // Test methods for class THStraightElement

  TestTHStraightElement = class(TDGHTestCase)
  private
    FHStraightElement: THStraightElementTestClass;
  published
    procedure TestElementType;
    procedure TestGetRadius;
    procedure TestSetout;
    procedure TestMeasure;
    procedure TestCompare;
    procedure TestGetElementDetails;
  end;
  // Test methods for class THCircularElement

  THCircularElementTestClass = Class(THCircularElement)
  Public
    Function GetElementType : TElementType; Override;
    Function GetStartPoint : THInfo; Override;
    Function GetEndPoint : THInfo; Override;
    Function GetStartChainage : Double; Override;
    Function GetEndChainage : Double; Override;
    Function GetRadius(dblChainage : Double) : Double; Override;
    Function Setout(dblChainage, dblOffset : Double) : THInfo; Override;
    Function Measure(dblEasting, dblNorthing : Double) : THInfo; Override;
    Function Compare(dblEasting, dblNorthing, dblBearing : Double) : THCompInfo; Override;
    Function GetElementDetails : THElement; Override;
    Constructor Create(dblEasting, dblNorthing, dblChainage, dblBearing,
      dblLength, dblRadius : Double; bCentre : Boolean); Override;
  End;

  TestTHCircularElement = class(TDGHTestCase)
  private
    FHCircularElement: THCircularElementTestClass;
  published
    procedure TestElementType;
    procedure TestGetRadius;
    procedure TestSetout;
    procedure TestMeasure;
    procedure TestCompare;
    procedure TestGetElementDetails;
  end;

  THClothoidElementTestClass = Class(THClothoidElement)
  Public
    function GetX(dblDistance: Double): Double; override;
    function GetY(dblDistance: Double): Double; override;
    function GetTheta(dblDistance: Double): Double; override;
    function Compare(dblEasting: Double; dblNorthing: Double;
      dblBearing: Double): THCompInfo; override;
    constructor Create(dblEasting, dblNorthing, dblChainage,
      dblBearing, dblLength, dblStChainageOrRadius, dblRLValueOrEndRadius: Double;
      boolFalse : Boolean); override;
    function GetElementType: TElementType; override;
    function GetEndChainage: Double; override;
    function GetEndPoint: THInfo; override;
    function GetRadius(dblChainage: Double): Double; override;
    function GetStartChainage: Double; override;
    function GetStartPoint: THInfo; override;
    function Measure(dblEasting: Double; dblNorthing: Double): THInfo; override;
    Function GetElementDetails : THElement; Override;
  End;
  // Test methods for class THClothoidElement

  TestTHClothoidElement = class(TDGHTestCase)
  private
    FHClothoidElement: THClothoidElementTestClass;
  published
    Procedure TestGetX;
    Procedure TestGetY;
    Procedure TestGetTheta;
    procedure TestElementType;
    procedure TestSetout;
    procedure TestMeasure;
    procedure TestCompare;
    procedure TestGetRadius;
    procedure TestGetElementDetails;
  end;

  TVStraightElementTestClass = Class(TVStraightElement)
  Public
    function GetElementType: TElementType; override;
    function GetEndChainage: Double; override;
    function GetEndPoint: TVInfo; override;
    function GetRadius(dblChainage: Double): Double; override;
    function GetStartChainage: Double; override;
    function GetStartPoint: TVInfo; override;
    function Setout(dblChainage: Double): TVInfo; override;
  End;

  // Test methods for class TVStraightElement

  TestTVStraightElement = class(TDGHTestCase)
  private
    FVStraightElement: TVStraightElementTestClass;
  public
    procedure SetUp; override;
    procedure TearDown; override;
  published
    procedure TestElementType;
    procedure TestGetRadius;
    procedure TestSetout;
    procedure TestGetElementDetails;
  end;

  TVCircularElementTestClass = Class(TVCircularElement)
  Public
    function GetElementType: TElementType; override;
    function GetEndChainage: Double; override;
    function GetEndPoint: TVInfo; override;
    function GetRadius(dblChainage: Double): Double; override;
    function GetStartChainage: Double; override;
    function GetStartPoint: TVInfo; override;
    function Setout(dblChainage: Double): TVInfo; override;
  End;

  // Test methods for class TVCircularElement

  TestTVCircularElement = class(TDGHTestCase)
  private
    FVCircularElement: TVCircularElementTestClass;
  public
    procedure SetUp; override;
    procedure TearDown; override;
  published
    procedure TestElementType;
    procedure TestGetRadius;
    procedure TestSetout;
    procedure TestGetElementDetails;
  end;

  // Test methods for class THAlignmentCollection

  TestTHAlignmentCollection = class(TDGHTestCase)
  private
    FHAlignmentCollection: THAlignmentCollection;
  published
    procedure TestCount;
    procedure TestElementType;
    procedure TestGetElementStart;
    procedure TestGetElementEnd;
    procedure TestGetStartChainage;
    procedure TestGetEndChainage;
    procedure TestGetRadius;
    procedure TestAddStraight;
    procedure TestAddCircular;
    procedure TestAddClothoid;
    procedure TestAddClothoidFalse;
    procedure TestUpdateStraight;
    procedure TestUpdateCircular;
    procedure TestUpdateClothoid;
    procedure TestLoadFromFileSaveToFile;
    procedure TestGetStraight;
    procedure TestGetCircular;
    procedure TestGetClothoid;
    procedure TestStartChainage;
    procedure TestEndChainage;
    procedure TestClear;
    procedure TestSetout;
    procedure TestMeasure;
    procedure TestCompare;
  end;
  // Test methods for class TVAlignmentCollection

  TestTVAlignmentCollection = class(TDGHTestCase)
  private
    FVAlignmentCollection: TVAlignmentCollection;
  published
    procedure TestCount;
    procedure TestElementType;
    procedure TestGetElementStart;
    procedure TestGetElementEnd;
    procedure TestGetStartChainage;
    procedure TestGetEndChainage;
    procedure TestGetRadius;
    procedure TestLoadFromFileSaveToFile;
    procedure TestAddStraight;
    procedure TestAddCircular;
    procedure TestUpdateStraight;
    procedure TestUpdateCircular;
    procedure TestGetStraight;
    procedure TestGetCircular;
    procedure TestStartChainage;
    procedure TestEndChainage;
    procedure TestClear;
    procedure TestSetout;
  end;
  // Test methods for class TStringAlignment

  TestTStringAlignment = class(TDGHTestCase)
  private
    FStringAlignment: TStringAlignment;
  published
    procedure TestSaveToFileLoadFromFile;
    procedure TestClear;
    procedure TestSetout;
    procedure TestMeasure;
    procedure TestCompare;
  end;

implementation

Uses
  Math;

Const
  iBearingTolerance = 0.0005;
  iCoordinateTolerance = 0.001;

{ TDGHTestCase }

procedure TDGHTestCase.CheckEquals(dblExpected, dblActual,
  dblTolerance: Double; strMsg: String = '');
begin
  FCheckCalled := True;
  If Abs(dblExpected - dblActual) >= dblTolerance Then
    FailNotEquals(Format('%1.4f', [dblExpected]), Format('%1.4f', [dblActual]),
      Format('%s : Expected %1.4f, Actual %1.4f (Delta %1.4f)',
      [strMsg, dblExpected, dblActual, Abs(dblExpected - dblActual)]),
      CallerAddr);
end;

{ TestExportedFunctions }

procedure TestApplicationFunctions.TestAdjustBearing;

Var
  dblBearing, dblNewBearing : Double;

begin
  dblBearing := -45;
  dblNewBearing := AdjustBearing(dblBearing);
  CheckEquals(315, dblNewBearing, iBearingTolerance, 'Less Than 0');
  dblBearing := 45;
  dblNewBearing := AdjustBearing(dblBearing);
  CheckEquals(45, dblNewBearing, iBearingTolerance, 'Between 0 and 360');
  dblBearing := 445;
  dblNewBearing := AdjustBearing(dblBearing);
  CheckEquals(85, dblNewBearing, iBearingTolerance, 'Greater Than 360');
end;

procedure TestApplicationFunctions.TestBearingToString;

Var
  recBearing : TBearing;

begin
  recBearing.iDegrees := 12;
  recBearing.iMinutes := 34;
  recBearing.iSeconds := 56;
  recBearing.iHundreds := 78;
  CheckEquals('12 34'' 56.78"', BearingToString(recBearing));
end;

procedure TestApplicationFunctions.TestBinToDec;

begin
  CheckEquals('27', BinToDec('011011'));
end;

procedure TestApplicationFunctions.TestBinToHex;
begin
  CheckEquals('1B', BinToHex('011011'));
end;

procedure TestApplicationFunctions.TestBinToOct;
begin
  CheckEquals('33', BinToOct('011011'));
end;

procedure TestApplicationFunctions.TestCalcColour;

Const
  iLow    : TColor = $0000FF;
  iMiddle : TColor = $FF0000;
  iHigh   : TColor = $00FF00;

begin
  CheckEquals($0000FF, CalcColour(05, 10, 50, 90, iLow, iMiddle, iHigh), 'CalcColour 1');
  CheckEquals($0000FF, CalcColour(10, 10, 50, 90, iLow, iMiddle, iHigh), 'CalcColour 2');
  CheckEquals($7F0080, CalcColour(30, 10, 50, 90, iLow, iMiddle, iHigh), 'CalcColour 3');
  CheckEquals($FF0000, CalcColour(50, 10, 50, 90, iLow, iMiddle, iHigh), 'CalcColour 4');
  CheckEquals($7F7F00, CalcColour(70, 10, 50, 90, iLow, iMiddle, iHigh), 'CalcColour 5');
  CheckEquals($00FF00, CalcColour(90, 10, 50, 90, iLow, iMiddle, iHigh), 'CalcColour 6');
  CheckEquals($00FF00, CalcColour(95, 10, 50, 90, iLow, iMiddle, iHigh), 'CalcColour 7');
end;

procedure TestApplicationFunctions.TestCapitalise;
begin
  CheckEquals('Capitalise This Sentence!', Capitalise('capitalise this sentence!'));
end;

procedure TestApplicationFunctions.TestCharCount;
begin
  CheckEquals(4, CharCount(',', 'First,Second,Third,Fourth,Fifth'));
  CheckEquals(4, CharCount(',', '"First,Second",Third,"Fourth,Fifth"'));
  CheckEquals(4, CharCount(',', 'First,"Second,Third",Fourth,Fifth'));
  CheckEquals(2, CharCount(',', '"First,Second",Third,"Fourth,Fifth"', False));
  CheckEquals(3, CharCount(',', 'First,"Second,Third",Fourth,Fifth', False));
end;

procedure TestApplicationFunctions.TestConvertDate;
begin
  CheckEquals(EncodeDate(2007,01,07) + EncodeTime(12,34,56,0), ConvertDate('07 Jan 2007 12:34:56'), iBearingTolerance);
end;

procedure TestApplicationFunctions.TestDecimalToDMS;

Var
  R : TBearing;

begin
  R := DecimalToDMS(123.456789);
  CheckEquals(123, R.iDegrees, 'Degrees');
  CheckEquals(27, R.iMinutes, 'Minutes');
  CheckEquals(24, R.iSeconds, 'Seconds');
  CheckEquals(44, R.iHundreds, 'Hundreds');
end;

procedure TestApplicationFunctions.TestDecToBin;
begin
  CheckEquals('11011', DecToBin('27'));
end;

procedure TestApplicationFunctions.TestDecToHex;
begin
  CheckEquals('1B', DecToHex('27'));
end;

procedure TestApplicationFunctions.TestDecToOct;
begin
  CheckEquals('33', DecToOct('27'));
end;

Type
  TDGHCreateProcessHandler = Class
  Strict Private
    FOutput : TStringList;
  Strict Protected
  Public
    Constructor Create(Output : TStringList);
    procedure IdleHandler;
    procedure ProcessMsgHandler(strMsg: string; var boolAbort: Boolean);
    Property Output : TStringList Read FOutput;
  End;

{ TDGHCreateProcessHandler }

constructor TDGHCreateProcessHandler.Create(Output : TStringList);
begin
  FOutput := Output;
end;

procedure TDGHCreateProcessHandler.IdleHandler;
begin
  // Do nothing;
end;

procedure TDGHCreateProcessHandler.ProcessMsgHandler(strMsg: string;
  var boolAbort: Boolean);
begin
  FOutput.Add(strMsg);
end;

procedure TestApplicationFunctions.TestDGHCreateProcess;

Var
  Process : TProcessInfo;
  ProcMsgHndr : TDGHCreateProcessHandler;
  iResult : Integer;
  slLines : TStringList;
  strDrive: String;

begin
  strDrive := ExtractFileDrive(ParamStr(0));
  Process.boolEnabled := True;
  Process.strEXE := strDrive + '\HoylD\Borland Studio Projects\Library\Test\SuccessConsoleApp.exe';
  Process.strParams := '';
  Process.strDir := strDrive + '\HoylD\Borland Studio Projects\Library\Test\';
  slLines := TStringList.Create;
  Try
    ProcMsgHndr := TDGHCreateProcessHandler.Create(slLines);
    Try
      iResult := DGHCreateProcess(Process, ProcMsgHndr.ProcessMsgHandler,
        ProcMsgHndr.IdleHandler);
      CheckEquals(0, iResult, 'SuccessConsoleApp ERRORLEVEL');
      CheckEquals(2, ProcMsgHndr.Output.Count);
      CheckEquals('This allocation runs successfully and', ProcMsgHndr.Output[0]);
      CheckEquals('returns an ERRORLEVEL = 0.', ProcMsgHndr.Output[1]);
      slLines.Clear;
      Process.strEXE := strDrive + '\HoylD\Borland Studio Projects\Library\Test\FailureConsoleApp.exe';
      iResult := DGHCreateProcess(Process, ProcMsgHndr.ProcessMsgHandler,
        ProcMsgHndr.IdleHandler);
      CheckEquals(1, iResult, 'SuccessConsoleApp ERRORLEVEL');
      CheckEquals(2, ProcMsgHndr.Output.Count);
      CheckEquals('This allocation runs and fails and', ProcMsgHndr.Output[0]);
      CheckEquals('in doing so returns an ERRORLEVEL = 1.', ProcMsgHndr.Output[1]);
    Finally
      ProcMsgHndr.Free;
    End;
  Finally
    slLines.Free;
  End;
end;

procedure TestApplicationFunctions.TestDGHFindOnPath;

var
  strFileName: String;

begin
  strFileName := 'notepad.exe';
  Check(DGHFindOnPath(strFileName, ''), 'Check for notepad.exe');
  CheckEquals('C:\Windows\system32\notepad.exe', strFileName);
  strFileName := 'regedit.exe';
  Check(DGHFindOnPath(strFileName, ''), 'Check for regedit.exe');
  CheckEquals('C:\Windows\system32\regedit.exe', strFileName);
  strFileName := 'cmd.exe';
  Check(DGHFindOnPath(strFileName, ''), 'Check for cmd.exe');
  CheckEquals('C:\Windows\system32\cmd.exe', strFileName);
end;

procedure TestApplicationFunctions.TestDGHPathRelativePathTo;

Var
  strFile : String;

begin
  strFile := 'E:\Hoyld\Borland Studio Projects\IDE Addins\Integrated Testing Helper\Source\TestingHelperWizard.pas';
  CheckEquals(True, DGHPathRelativePathTo('E:\Hoyld\Borland Studio Projects\', strFile));
  CheckEquals('IDE Addins\Integrated Testing Helper\Source\TestingHelperWizard.pas', strFile);

  strFile := 'E:\Hoyld\Borland Studio Projects\IDE Addins\Integrated Testing Helper\Source\TestingHelperWizard.pas';
  CheckEquals(True, DGHPathRelativePathTo('E:\Hoyld\Borland Studio Projects\Library\', strFile));
  CheckEquals('..\IDE Addins\Integrated Testing Helper\Source\TestingHelperWizard.pas', strFile);

  strFile := 'E:\Hoyld\Borland Studio Projects\IDE Addins\Integrated Testing Helper\Source\TestingHelperWizard.pas';
  CheckEquals(True, DGHPathRelativePathTo('E:\Hoyld\borland studio projects\Library\Tests\', strFile));
  CheckEquals('..\..\IDE Addins\Integrated Testing Helper\Source\TestingHelperWizard.pas', strFile);

  strFile := 'TestingHelperWizard.pas';
  CheckEquals(False, DGHPathRelativePathTo('E:\Hoyld\borland studio projects\', strFile));
  CheckEquals('TestingHelperWizard.pas', strFile);

  strFile := '\\CJVRUG1\Grouped\Hoyld\Borland Studio Projects\IDE Addins\Integrated Testing Helper\Source\TestingHelperWizard.pas';
  CheckEquals(True, DGHPathRelativePathTo('\\CJVRUG1\Grouped\Hoyld\borland studio projects\', strFile));
  CheckEquals('IDE Addins\Integrated Testing Helper\Source\TestingHelperWizard.pas', strFile);

  strFile := '\\CJVRUG2\Grouped\Hoyld\Borland Studio Projects\IDE Addins\Integrated Testing Helper\Source\TestingHelperWizard.pas';
  CheckEquals(False, DGHPathRelativePathTo('\\CJVRUG1\Grouped\Hoyld\borland studio projects\', strFile));
  CheckEquals('\\CJVRUG2\Grouped\Hoyld\Borland Studio Projects\IDE Addins\Integrated Testing Helper\Source\TestingHelperWizard.pas', strFile);
end;

procedure TestApplicationFunctions.TestDMSAsDecToDecimal;
begin
  CheckEquals(123.456789, DMSAsDecToDecimal(123.272444), iBearingTolerance);
end;

procedure TestApplicationFunctions.TestDMSToDecimal;
begin
  CheckEquals(123.456789, DMSToDecimal('123 27'' 24.44"'), iBearingTolerance);
end;

procedure TestApplicationFunctions.TestEvaluateEquation;

Var
  dblResult : Double;

begin
  dblResult := EvaluateEquation('1+2/3-4*5');
  CheckEquals(-18.333333, dblResult, 0.00001, 'BODMAS1');
  dblResult := EvaluateEquation('1+2/(3-4*5)');
  CheckEquals(0.8823529, dblResult, 0.00001, 'BODMAS1');
  dblResult := EvaluateEquation('SIN(1.23456)');
  CheckEquals(0.9440031, dblResult, 0.00001, 'SIN');
  dblResult := EvaluateEquation('COS(1.23456)');
  CheckEquals(0.3299365, dblResult, 0.00001, 'COS');
  dblResult := EvaluateEquation('TAN(1.23456)');
  CheckEquals(2.8611659, dblResult, 0.00001, 'TAN');
  dblResult := EvaluateEquation('ARCSIN(0.357159)');
  CheckEquals(0.3652245, dblResult, 0.00001, 'ARCSIN');
  dblResult := EvaluateEquation('ARCCOS(0.357159)');
  CheckEquals(1.2055718, dblResult, 0.00001, 'ARCCOS');
  dblResult := EvaluateEquation('ARCTAN(0.357159)');
  CheckEquals(0.3430382, dblResult, 0.00001, 'ARCTAN');
  dblResult := EvaluateEquation('SQR(12.345)');
  CheckEquals(152.39903, dblResult, 0.00001, 'SQR');
  dblResult := EvaluateEquation('SQRT(152.39903)');
  CheckEquals(12.345, dblResult, 0.00001, 'SQRT');
  dblResult := EvaluateEquation('RAD(57.4635)');
  CheckEquals(1.0029273, dblResult, 0.00001, 'RAD');
  dblResult := EvaluateEquation('DEG(1.0029273)');
  CheckEquals(57.4635, dblResult, 0.00001, 'DEG');
  dblResult := EvaluateEquation('DMS(57.596111)');
  CheckEquals(57.3546, dblResult, 0.00001, 'DMS');
  dblResult := EvaluateEquation('DEC(57.3546)');
  CheckEquals(57.596111, dblResult, 0.00001, 'DEC');
  dblResult := EvaluateEquation('EXP(12.3456)');
  CheckEquals(229946.0511, dblResult, 0.00001, 'EXP');
  dblResult := EvaluateEquation('LN(2.3456)');
  CheckEquals(0.8525412, dblResult, 0.00001, 'LN');
  dblResult := EvaluateEquation('INV(12.3456)');
  CheckEquals(0.0810005, dblResult, 0.00001, 'INV');
  dblResult := EvaluateEquation('INT(12.3456)');
  CheckEquals(12, dblResult, 0.00001, 'INT');
  dblResult := EvaluateEquation('INT(12.7456)');
  CheckEquals(12, dblResult, 0.00001, 'INT');
  dblResult := EvaluateEquation('LOG(12.3456)');
  CheckEquals(1.0915122, dblResult, 0.00001, 'LOG');
  dblResult := EvaluateEquation('ABS(-12.3456)');
  CheckEquals(12.3456, dblResult, 0.00001, 'ABS');
  dblResult := EvaluateEquation('ABS(12.3456)');
  CheckEquals(12.3456, dblResult, 0.00001, 'ABS');
  dblResult := EvaluateEquation('POW(12.3456, 1.2345)');
  CheckEquals(22.257266, dblResult, 0.00001, 'POW');
  dblResult := EvaluateEquation('NOT(27)');
  CheckEquals(-28, dblResult, 0.00001, 'NOT');
  dblResult := EvaluateEquation('AND(27,14)'); // (27)11011 AND (14)01110 = 01010
  CheckEquals(10, dblResult, 0.00001, 'AND');
  dblResult := EvaluateEquation('OR(27,14)'); // (27)11011 OR (14)01110 = 11111
  CheckEquals(31, dblResult, 0.00001, 'OR');
  dblResult := EvaluateEquation('XOR(27,14)'); // (27)11011 XOR (14)01110 = 10101
  CheckEquals(21, dblResult, 0.00001, 'XOR');
  dblResult := EvaluateEquation('DIV(29,3)');
  CheckEquals(9, dblResult, 0.00001, 'DIV');
  dblResult := EvaluateEquation('MOD(29,3)');
  CheckEquals(2, dblResult, 0.00001, 'MOD');
  dblResult := EvaluateEquation('SHL(27,2)'); // 0011011 SHL(2) 1101100
  CheckEquals(108, dblResult, 0.00001, 'SHL');
  dblResult := EvaluateEquation('SHR(108,2)'); // 1101100 SHR(2) 00110110
  CheckEquals(27, dblResult, 0.00001, 'SHR');
end;

Procedure TestApplicationFunctions.TestLike;

Const
  strText = 'Mary had a little lamb';

Begin
  Check(    Like('mary*', strText), '1');
  Check(Not Like('mry*', strText), '2');
  Check(    Like('*lamb', strText), '3');
  Check(Not Like('*lmb', strText), '4');
  Check(    Like('*little*', strText), '5');
  Check(Not Like('*litle*', strText), '6');
  Check(    Like('*had*little*', strText), '7');
  Check(Not Like('*had*litle*', strText), '8');
  Check(Not Like('*little*had*', strText), '9');
  Check(    Like('*library*testprojectdll*;*', 'Library TestProjectDLL;'), '10');
  Check(    Like('*', ''));
  Check(    Like('*', strText));
End;

procedure TestApplicationFunctions.TestExtractFileNameOnly;
begin
  CheckEquals('FileName', ExtractFileNameOnly('C:\Folder\FileName.Ext'));
end;

procedure TestApplicationFunctions.TestGetField;
begin
  CheckEquals('First', GetField('First,Second,Third,Fourth,Fifth', ',', 1), 'First');
  CheckEquals('Third', GetField('First,Second,Third,Fourth,Fifth', ',', 3), 'Third');
  CheckEquals('Fifth', GetField('First,Second,Third,Fourth,Fifth', ',', 5), 'Third');

  CheckEquals('Third', GetField('"First,Second",Third,"Fourth,Fifth"', ',', 3), 'Fourth');
  CheckEquals('"Fourth,Fifth"', GetField('"First,Second",Third,"Fourth,Fifth"', ',', 3, False), 'Fifth');
  CheckEquals('Third"', GetField('First,"Second,Third",Fourth,Fifth"', ',', 3), 'Sixth');
  CheckEquals('Fourth', GetField('First,"Second,Third",Fourth,Fifth"', ',', 3, False), 'Seventh');
end;

procedure TestApplicationFunctions.TestGetVector;

Var
  V : TVector;

begin
  V := GetVector(0, 0, 3, 4);
  CheckEquals(36.8698, V.dblBearing, iBearingTolerance, 'Bearing');
  CheckEquals(5, V.dblDistance, iBearingTolerance, 'Distance');
  V := GetVector(0, 0, 3, -4);
  CheckEquals(143.1301, V.dblBearing, iBearingTolerance, 'Bearing');
  CheckEquals(5, V.dblDistance, iBearingTolerance, 'Distance');
  V := GetVector(0, 0, -3, -4);
  CheckEquals(-143.1301, V.dblBearing, iBearingTolerance, 'Bearing');
  CheckEquals(5, V.dblDistance, iBearingTolerance, 'Distance');
  V := GetVector(0, 0, -3, 4);
  CheckEquals(-36.8698, V.dblBearing, iBearingTolerance, 'Bearing');
  CheckEquals(5, V.dblDistance, iBearingTolerance, 'Distance');
end;

procedure TestApplicationFunctions.TestHexToBin;
begin
  CheckEquals('11011', HexToBin('1B'));
end;

procedure TestApplicationFunctions.TestHexToDec;
begin
  CheckEquals('27', HexToDec('1B'));
end;

procedure TestApplicationFunctions.TestHexToOct;
begin
  CheckEquals('33', HexToOct('1B'));
end;

procedure TestApplicationFunctions.TestIsKeyWord;

Const
  strValues : Array[1..10] Of String = (
    'eighth',
    'fifth',
    'first',
    'fourth',
    'nineth',
    'second',
    'seventh',
    'sixth',
    'tenth',
    'third'
  );
begin
  Check(IsKeyWord('Eighth', strValues), 'Eighth = true');
  Check(IsKeyWord('Fourth', strValues), 'Fourth = true');
  Check(IsKeyWord('Third', strValues), 'Third = true');
  Check(Not IsKeyWord('Eleventh', strValues), 'Eleventh = false');
end;

procedure TestApplicationFunctions.TestOctToBin;
begin
  CheckEquals('11011', OctToBin('33'));
end;

procedure TestApplicationFunctions.TestOctToDec;
begin
  CheckEquals('27', OctToDec('33'));
end;

procedure TestApplicationFunctions.TestOctToHex;
begin
  CheckEquals('1B', OctToHex('33'));
end;

procedure TestApplicationFunctions.TestPosOfNthChar;
begin
  CheckEquals(19, PosOfNthChar('First,Second,Third,Fourth,Fifth', ',', 3));
  CheckEquals(21, PosOfNthChar('"First,Second",Third,"Fourth,Fifth"', ',', 3));
  CheckEquals(21, PosOfNthChar('First,"Second,Third",Fourth,Fifth"', ',', 3));
  CheckEquals(21, PosOfNthChar('"First,Second",Third,"Fourth,Fifth"', ',', 2, False));
  CheckEquals(21, PosOfNthChar('First,"Second,Third",Fourth,Fifth"', ',', 2, False));
end;

procedure TestApplicationFunctions.TestPow;
begin
  CheckEquals(1292304.6121, Pow(12.34, 5.6), iBearingTolerance);
end;

procedure TestApplicationFunctions.TestReduceBearing;
begin
  CheckEquals(45, ReduceBearing(45), iBearingTolerance, '45');
  CheckEquals(135, ReduceBearing(135), iBearingTolerance, '135');
  CheckEquals(-135, ReduceBearing(225), iBearingTolerance, '225');
  CheckEquals(-45, ReduceBearing(315), iBearingTolerance, '315');
end;

procedure TestTHStraightElement.TestElementType;

var
  ReturnValue: TElementType;

begin
  FHStraightElement := THStraightElementTestClass.Create(0, 0, 0, 0, 100);
  Try
    ReturnValue := FHStraightElement.GetElementType;
    Check(etStraight = ReturnValue);
  Finally
    FHStraightElement.Free;
  End;
end;

procedure TestTHStraightElement.TestGetRadius;

var
  ReturnValue: Double;
  dblChainage: Double;

begin
  FHStraightElement := THStraightElementTestClass.Create(0, 0, 0, 0, 100);
  Try
    dblChainage := FHStraightElement.GetStartChainage + 10;
    ReturnValue := FHStraightElement.GetRadius(dblChainage);
    CheckEquals(999999.9, ReturnValue, iBearingTolerance);
  Finally
    FHStraightElement.Free;
  End;
end;

procedure TestTHStraightElement.TestSetout;

var
  ReturnValue: THInfo;
  dblOffset: Double;
  dblChainage: Double;

begin
  FHStraightElement := THStraightElementTestClass.Create(12345.678, 23456.789,
    54.3678, 100, 100);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHStraightElement.Setout(dblChainage, dblOffset);
    CheckEquals(12370.187, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23462.859, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHStraightElement.Setout(dblChainage, dblOffset);
    CheckEquals(12366.580, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23486.960, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHStraightElement.Free;
  End;
  FHStraightElement := THStraightElementTestClass.Create(12345.678, 23456.789,
    144.3678, 100, 100);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHStraightElement.Setout(dblChainage, dblOffset);
    CheckEquals(12351.748, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23432.280, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(144.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHStraightElement.Setout(dblChainage, dblOffset);
    CheckEquals(12375.849, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23435.887, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(144.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHStraightElement.Free;
  End;
  FHStraightElement := THStraightElementTestClass.Create(12345.678, 23456.789,
    234.3678, 100, 100);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHStraightElement.Setout(dblChainage, dblOffset);
    CheckEquals(12321.169, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23450.719, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(234.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHStraightElement.Setout(dblChainage, dblOffset);
    CheckEquals(12324.776, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23426.618, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(234.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHStraightElement.Free;
  End;
  FHStraightElement := THStraightElementTestClass.Create(12345.678, 23456.789,
    324.3678, 100, 100);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHStraightElement.Setout(dblChainage, dblOffset);
    CheckEquals(12339.608, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23481.298, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(324.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHStraightElement.Setout(dblChainage, dblOffset);
    CheckEquals(12315.507, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23477.691, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(324.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHStraightElement.Free;
  End;
end;

procedure TestTHStraightElement.TestMeasure;

var
  ReturnValue: THInfo;
  dblNorthing: Double;
  dblEasting: Double;

begin
  FHStraightElement := THStraightElementTestClass.Create(12345.678, 23456.789,
    54.3678, 100, 100);
  Try
    dblEasting := 12370.187;
    dblNorthing := 23462.859;
    ReturnValue := FHStraightElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12366.580;
    dblNorthing := 23486.960;
    ReturnValue := FHStraightElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHStraightElement.Free;
  End;
  FHStraightElement := THStraightElementTestClass.Create(12345.678, 23456.789,
    144.3678, 100, 100);
  Try
    dblEasting := 12351.748;
    dblNorthing := 23432.280;
    ReturnValue := FHStraightElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(144.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12375.849;
    dblNorthing := 23435.887;
    ReturnValue := FHStraightElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(144.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHStraightElement.Free;
  End;
  FHStraightElement := THStraightElementTestClass.Create(12345.678, 23456.789,
    234.3678, 100, 100);
  Try
    dblEasting := 12321.169;
    dblNorthing := 23450.719;
    ReturnValue := FHStraightElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(234.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12324.776;
    dblNorthing := 23426.618;
    ReturnValue := FHStraightElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(234.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHStraightElement.Free;
  End;
  FHStraightElement := THStraightElementTestClass.Create(12345.678, 23456.789,
    324.3678, 100, 100);
  Try
    dblEasting := 12339.608;
    dblNorthing := 23481.298;
    ReturnValue := FHStraightElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(324.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12315.507;
    dblNorthing := 23477.691;
    ReturnValue := FHStraightElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(324.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHStraightElement.Free;
  End;
end;

procedure TestTHStraightElement.TestCompare;
var
  ReturnValue: THCompInfo;
  dblBearing: Double;
  dblNorthing: Double;
  dblEasting: Double;
begin
  FHStraightElement := THStraightElementTestClass.Create(12345.678, 23456.789,
    54.3678, 100, 100);
  Try
    dblEasting := 12386.005;
    dblNorthing := 23476.970;
    dblBearing := 122.2643;
    ReturnValue := FHStraightElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12379.533, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23481.056, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12348.425;
    dblNorthing := 23476.251;
    dblBearing := 122.2643;
    ReturnValue := FHStraightElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12361.401, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23468.059, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHStraightElement.Free;
  End;
  FHStraightElement := THStraightElementTestClass.Create(12345.678, 23456.789,
    144.3678, 100, 100);
  Try
    dblEasting := 12365.859;
    dblNorthing := 23416.462;
    dblBearing := 212.2643;
    ReturnValue := FHStraightElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12369.945, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23422.934, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(144.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12365.140;
    dblNorthing := 23454.042;
    dblBearing := 212.2643;
    ReturnValue := FHStraightElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12356.948, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23441.066, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(144.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHStraightElement.Free;
  End;
  FHStraightElement := THStraightElementTestClass.Create(12345.678, 23456.789,
    234.3678, 100, 100);
  Try
    dblEasting := 12305.351;
    dblNorthing := 23436.608;
    dblBearing := 302.2643;
    ReturnValue := FHStraightElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12311.823, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23432.522, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(234.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12342.931;
    dblNorthing := 23437.327;
    dblBearing := 302.2643;
    ReturnValue := FHStraightElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12329.955, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23445.519, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(234.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHStraightElement.Free;
  End;
  FHStraightElement := THStraightElementTestClass.Create(12345.678, 23456.789,
    324.3678, 100, 100);
  Try
    dblEasting := 12325.497;
    dblNorthing := 23497.116;
    dblBearing := 32.2643;
    ReturnValue := FHStraightElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12321.411, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23490.644, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(324.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12326.216;
    dblNorthing := 23459.536;
    dblBearing := 32.2643;
    ReturnValue := FHStraightElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12334.408, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23472.512, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(324.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHStraightElement.Free;
  End;
end;

procedure TestTHStraightElement.TestGetElementDetails;
var
  ReturnValue: THElement;
begin
  FHStraightElement := THStraightElementTestClass.Create(12345.678, 23456.789,
    123.456789, 100, 100);
  Try
    ReturnValue := FHStraightElement.GetElementDetails;
    CheckEquals(12345.678, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23456.789, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(123.456789, ReturnValue.dblBearing, iCoordinateTolerance, 'Bearing');
    CheckEquals(100, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(100, ReturnValue.dblLength, iCoordinateTolerance, 'Length');
  Finally
    FHStraightElement.Free;
  End;
end;

procedure TestTHCircularElement.TestElementType;

var
  ReturnValue: TElementType;

begin
  FHCircularElement := THCircularElementTestClass.Create(12345,678, 23456.789,
    54.3678, 100, 1000, False);
  Try
    ReturnValue := FHCircularElement.GetElementType;
    Check(ReturnValue = etCircular);
  Finally
    FHCircularElement.Free;
  End;
end;

procedure TestTHCircularElement.TestGetRadius;

var
  ReturnValue: Double;
  dblChainage: Double;

begin
  FHCircularElement := THCircularElementTestClass.Create(12345,678, 23456.789,
    54.3678, 100, 1000, False);
  Try
    dblChainage := 150;
    ReturnValue := FHCircularElement.GetRadius(dblChainage);
    CheckEquals(1000, ReturnValue, iBearingTolerance);
  Finally
    FHCircularElement.Free;
  End;
end;

procedure TestTHCircularElement.TestSetout;

var
  ReturnValue: THInfo;
  dblOffset: Double;
  dblChainage: Double;

begin
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 54.3678, 100, 1000, False);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12370.165, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23462.508, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(55.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12367.274, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23486.713, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(56.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 144.3678, 100, 1000, False);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12351.397, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23432.302, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(145.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12375.602, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23435.193, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(146.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 234.3678, 100, 1000, False);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12321.191, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23451.070, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(235.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12324.082, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23426.865, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(236.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 324.3678, 100, 1000, False);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12339.959, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23481.276, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(325.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12315.754, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23478.385, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(326.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 54.3678, 100, -1000, False);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12370.201, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23463.211, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(53.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12365.884, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23487.187, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(52.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 144.3678, 100, -1000, False);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12352.100, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23432.266, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(143.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12376.076, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23436.583, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(142.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 234.3678, 100, -1000, False);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12321.155, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23450.367, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(233.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12325.472, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23426.391, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(232.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 324.3678, 100, -1000, False);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12339.256, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23481.312, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(323.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12315.280, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23476.995, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(322.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;

  FHCircularElement := THCircularElementTestClass.Create(
    12928.258, 22644.016, 100, 54.3678, 100, 1000, True);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12370.165, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23462.508, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(55.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12367.274, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23486.713, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(56.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    11532.905, 22874.209, 100, 144.3678, 100, 1000, True);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12351.397, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23432.302, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(145.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12375.602, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23435.193, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(146.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    11763.098, 24269.562, 100, 234.3678, 100, 1000, True);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12321.191, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23451.070, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(235.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12324.082, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23426.865, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(236.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    13158.451, 24039.369, 100, 324.3678, 100, 1000, True);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12339.959, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23481.276, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(325.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12315.754, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23478.385, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(326.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    11763.098, 24269.562, 100, 54.3678, 100, -1000, True);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12370.201, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23463.211, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(53.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12365.884, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23487.187, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(52.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    13158.451, 24039.369, 100, 144.3678, 100, -1000, True);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12352.100, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23432.266, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(143.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12376.076, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23436.583, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(142.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12928.258, 22644.016, 100, 234.3678, 100, -1000, True);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12321.155, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23450.367, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(233.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12325.472, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23426.391, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(232.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    11532.905, 22874.209, 100, 324.3678, 100, -1000, True);
  Try
    dblChainage := 123.456;
    dblOffset := 9.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12339.256, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23481.312, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(323.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset := -12.345;
    ReturnValue := FHCircularElement.Setout(dblChainage, dblOffset);
    CheckEquals(12315.280, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23476.995, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(322.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
end;

procedure TestTHCircularElement.TestMeasure;

var
  ReturnValue: THInfo;
  dblNorthing: Double;
  dblEasting: Double;

begin
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 54.3678, 100, 1000, False);
  Try
    dblEasting := 12370.165;
    dblNorthing := 23462.508;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(55.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12367.274;
    dblNorthing := 23486.713;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(56.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 144.3678, 100, 1000, False);
  Try
    dblEasting := 12351.397;
    dblNorthing := 23432.302;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(145.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12375.602;
    dblNorthing := 23435.193;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(146.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 234.3678, 100, 1000, False);
  Try
    dblEasting := 12321.191;
    dblNorthing := 23451.070;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(235.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12324.082;
    dblNorthing := 23426.865;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(236.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 324.3678, 100, 1000, False);
  Try
    dblEasting := 12339.959;
    dblNorthing := 23481.276;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(325.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12315.754;
    dblNorthing := 23478.385;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(326.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 54.3678, 100, -1000, False);
  Try
    dblEasting := 12370.201;
    dblNorthing := 23463.211;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(53.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12365.884;
    dblNorthing := 23487.187;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(52.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 144.3678, 100, -1000, False);
  Try
    dblEasting := 12352.100;
    dblNorthing := 23432.266;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(143.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12376.076;
    dblNorthing := 23436.583;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(142.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 234.3678, 100, -1000, False);
  Try
    dblEasting := 12321.155;
    dblNorthing := 23450.367;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(233.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12325.472;
    dblNorthing := 23426.391;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(232.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 324.3678, 100, -1000, False);
  Try
    dblEasting := 12339.256;
    dblNorthing := 23481.312;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(323.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12315.280;
    dblNorthing := 23476.995;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(322.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;

  FHCircularElement := THCircularElementTestClass.Create(
    12928.258, 22644.016, 100, 54.3678, 100, 1000, True);
  Try
    dblEasting := 12370.165;
    dblNorthing := 23462.508;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(55.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12367.274;
    dblNorthing := 23486.713;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(56.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    11532.905, 22874.209, 100, 144.3678, 100, 1000, True);
  Try
    dblEasting := 12351.397;
    dblNorthing := 23432.302;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(145.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12375.602;
    dblNorthing := 23435.193;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(146.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    11763.098, 24269.562, 100, 234.3678, 100, 1000, True);
  Try
    dblEasting := 12321.191;
    dblNorthing := 23451.070;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(235.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12324.082;
    dblNorthing := 23426.865;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(236.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    13158.451, 24039.369, 100, 324.3678, 100, 1000, True);
  Try
    dblEasting := 12339.959;
    dblNorthing := 23481.276;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(325.71173, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12315.754;
    dblNorthing := 23478.385;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(326.34829, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    11763.098, 24269.562, 100, 54.3678, 100, -1000, True);
  Try
    dblEasting := 12370.201;
    dblNorthing := 23463.211;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(53.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12365.884;
    dblNorthing := 23487.187;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(52.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    13158.451, 24039.369, 100, 144.3678, 100, -1000, True);
  Try
    dblEasting := 12352.100;
    dblNorthing := 23432.266;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(143.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12376.076;
    dblNorthing := 23436.583;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(142.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12928.258, 22644.016, 100, 234.3678, 100, -1000, True);
  Try
    dblEasting := 12321.155;
    dblNorthing := 23450.367;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(233.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12325.472;
    dblNorthing := 23426.391;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(232.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    11532.905, 22874.209, 100, 324.3678, 100, -1000, True);
  Try
    dblEasting := 12339.256;
    dblNorthing := 23481.312;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(323.02387, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting := 12315.280;
    dblNorthing := 23476.995;
    ReturnValue := FHCircularElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(322.38731, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHCircularElement.Free;
  End;
end;

procedure TestTHCircularElement.TestCompare;

var
  ReturnValue: THCompInfo;
  dblBearing: Double;
  dblNorthing: Double;
  dblEasting: Double;

begin
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 54.3678, 100, 1000, False);
  Try
    dblEasting := 12386.325;
    dblNorthing := 23475.992;
    dblBearing := 124.65090;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12380.029, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23480.344, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(56.7544, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12348.694;
    dblNorthing := 23476.347;
    dblBearing := 123.37269;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12361.509, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23467.906, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(55.47619, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 144.3678, 100, 1000, False);
  Try
    dblEasting := 12364.881;
    dblNorthing := 23416.142;
    dblBearing := 214.65090;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12369.233, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23422.438, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(146.75440, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12365.236;
    dblNorthing := 23453.773;
    dblBearing := 213.37269;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12356.795, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23440.958, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(145.47619, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 234.3678, 100, 1000, False);
  Try
    dblEasting := 12305.031;
    dblNorthing := 23437.586;
    dblBearing := 304.65090;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12311.327, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23433.234, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(236.75440, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12342.662;
    dblNorthing := 23437.231;
    dblBearing := 303.37269;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12329.847, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23445.672, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(235.47619, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 324.3678, 100, 1000, False);
  Try
    dblEasting := 12326.475;
    dblNorthing := 23497.436;
    dblBearing := 34.65090;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12322.123, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23491.140, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(326.75440, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12326.120;
    dblNorthing := 23459.805;
    dblBearing := 33.37269;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12334.561, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23472.620, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(325.47619, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 54.3678, 100, -1000, False);
  Try
    dblEasting := 12385.655;
    dblNorthing := 23477.941;
    dblBearing := 119.8777;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12379.018, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23481.754, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(51.98120, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12348.159;
    dblNorthing := 23476.149;
    dblBearing := 121.15591;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12361.291, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23468.210, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(53.25941, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 144.3678, 100, -1000, False);
  Try
    dblEasting := 12366.830;
    dblNorthing := 23416.812;
    dblBearing := 209.8777;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12370.643, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23423.449, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(141.98120, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12365.038;
    dblNorthing := 23454.308;
    dblBearing := 211.15591;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12357.099, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23441.176, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(143.25941, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 234.3678, 100, -1000, False);
  Try
    dblEasting := 12305.701;
    dblNorthing := 23435.637;
    dblBearing := 299.8777;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12312.338, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23431.824, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(231.98120, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12343.197;
    dblNorthing := 23437.429;
    dblBearing := 301.15591;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12330.065, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23445.368, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(233.25941, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 324.3678, 100, -1000, False);
  Try
    dblEasting := 12324.526;
    dblNorthing := 23496.766;
    dblBearing := 29.8777;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12320.713, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23490.129, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(321.98120, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12326.318;
    dblNorthing := 23459.270;
    dblBearing := 31.15591;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12334.257, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23472.402, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(323.25941, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;

  FHCircularElement := THCircularElementTestClass.Create(
    12928.258, 22644.016, 100, 54.3678, 100, 1000, True);
  Try
    dblEasting := 12386.325;
    dblNorthing := 23475.992;
    dblBearing := 124.65090;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12380.029, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23480.344, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(56.7544, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12348.694;
    dblNorthing := 23476.347;
    dblBearing := 123.37269;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12361.509, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23467.906, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(55.47619, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    11532.905, 22874.209, 100, 144.3678, 100, 1000, True);
  Try
    dblEasting := 12364.881;
    dblNorthing := 23416.142;
    dblBearing := 214.65090;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12369.233, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23422.438, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(146.75440, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12365.236;
    dblNorthing := 23453.773;
    dblBearing := 213.37269;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12356.795, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23440.958, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(145.47619, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    11763.098, 24269.562, 100, 234.3678, 100, 1000, True);
  Try
    dblEasting := 12305.031;
    dblNorthing := 23437.586;
    dblBearing := 304.65090;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12311.327, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23433.234, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(236.75440, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12342.662;
    dblNorthing := 23437.231;
    dblBearing := 303.37269;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12329.847, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23445.672, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(235.47619, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    13158.451, 24039.369, 100, 324.3678, 100, 1000, True);
  Try
    dblEasting := 12326.475;
    dblNorthing := 23497.436;
    dblBearing := 34.65090;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12322.123, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23491.140, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(326.75440, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12326.120;
    dblNorthing := 23459.805;
    dblBearing := 33.37269;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12334.561, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23472.620, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(325.47619, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    11763.098, 24269.562, 100, 54.3678, 100, -1000, True);
  Try
    dblEasting := 12385.655;
    dblNorthing := 23477.941;
    dblBearing := 119.8777;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12379.018, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23481.754, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(51.98120, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12348.159;
    dblNorthing := 23476.149;
    dblBearing := 121.15591;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12361.291, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23468.210, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(53.25941, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    13158.451, 24039.369, 100, 144.3678, 100, -1000, True);
  Try
    dblEasting := 12366.830;
    dblNorthing := 23416.812;
    dblBearing := 209.8777;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12370.643, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23423.449, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(141.98120, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12365.038;
    dblNorthing := 23454.308;
    dblBearing := 211.15591;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12357.099, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23441.176, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(143.25941, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    12928.258, 22644.016, 100, 234.3678, 100, -1000, True);
  Try
    dblEasting := 12305.701;
    dblNorthing := 23435.637;
    dblBearing := 299.8777;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12312.338, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23431.824, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(231.98120, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12343.197;
    dblNorthing := 23437.429;
    dblBearing := 301.15591;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12330.065, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23445.368, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(233.25941, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
  FHCircularElement := THCircularElementTestClass.Create(
    11532.905, 22874.209, 100, 324.3678, 100, -1000, True);
  Try
    dblEasting := 12324.526;
    dblNorthing := 23496.766;
    dblBearing := 29.8777;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12320.713, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23490.129, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(321.98120, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
    dblEasting := 12326.318;
    dblNorthing := 23459.270;
    dblBearing := 31.15591;
    ReturnValue := FHCircularElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12334.257, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23472.402, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(323.25941, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Distance');
  Finally
    FHCircularElement.Free;
  End;
end;

procedure TestTHCircularElement.TestGetElementDetails;

var
  ReturnValue: THElement;

begin
  FHCircularElement := THCircularElementTestClass.Create(
    12345.678, 23456.789, 100, 54.3678, 100, 1000, False);
  Try
    ReturnValue := FHCircularElement.GetElementDetails;
    CheckEquals(12928.258, ReturnValue.dblEasting, iBearingTolerance, 'Easting');
    CheckEquals(22644.016, ReturnValue.dblNorthing, iBearingTolerance, 'Northing');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(100, ReturnValue.dblChainage, iBearingTolerance, 'Chainage');
    CheckEquals(100, ReturnValue.dblLength, iBearingTolerance, 'Length');
    CheckEquals(1000, ReturnValue.dblRadius, iBearingTolerance, 'Radius');
  Finally
    FHCircularElement.Free;
  End;
end;

procedure TestTHClothoidElement.TestElementType;
var
  ReturnValue: TElementType;
begin
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 54.3678, 100, 100, 10000, False);
  Try
    ReturnValue := FHClothoidElement.GetElementType;
    Check(ReturnValue = etClothoid, 'ElementType');
  Finally
    FHClothoidElement.Free;
  End;
end;

procedure TestTHClothoidElement.TestGetX;

Var
  R : Double;

begin
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 54.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetX(10);
    CheckEquals(0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(23.456);
    CheckEquals(0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(34.566);
    CheckEquals(0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(41.654);
    CheckEquals(1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(19.345);
    CheckEquals(0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 144.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetX(10);
    CheckEquals(0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(23.456);
    CheckEquals(0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(34.566);
    CheckEquals(0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(41.654);
    CheckEquals(1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(19.345);
    CheckEquals(0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 234.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetX(10);
    CheckEquals(0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(23.456);
    CheckEquals(0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(34.566);
    CheckEquals(0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(41.654);
    CheckEquals(1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(19.345);
    CheckEquals(0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 324.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetX(10);
    CheckEquals(0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(23.456);
    CheckEquals(0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(34.566);
    CheckEquals(0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(41.654);
    CheckEquals(1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(19.345);
    CheckEquals(0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 54.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetX(10);
    CheckEquals(-0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(23.456);
    CheckEquals(-0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(34.566);
    CheckEquals(-0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(41.654);
    CheckEquals(-1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(19.345);
    CheckEquals(-0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 144.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetX(10);
    CheckEquals(-0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(23.456);
    CheckEquals(-0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(34.566);
    CheckEquals(-0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(41.654);
    CheckEquals(-1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(19.345);
    CheckEquals(-0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 234.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetX(10);
    CheckEquals(-0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(23.456);
    CheckEquals(-0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(34.566);
    CheckEquals(-0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(41.654);
    CheckEquals(-1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(19.345);
    CheckEquals(-0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 324.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetX(10);
    CheckEquals(-0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(23.456);
    CheckEquals(-0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(34.566);
    CheckEquals(-0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(41.654);
    CheckEquals(-1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(19.345);
    CheckEquals(-0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 54.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetX(-10);
    CheckEquals(0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-23.456);
    CheckEquals(0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-34.566);
    CheckEquals(0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-41.654);
    CheckEquals(1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-19.345);
    CheckEquals(0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 144.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetX(-10);
    CheckEquals(0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-23.456);
    CheckEquals(0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-34.566);
    CheckEquals(0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-41.654);
    CheckEquals(1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-19.345);
    CheckEquals(0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 234.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetX(-10);
    CheckEquals(0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-23.456);
    CheckEquals(0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-34.566);
    CheckEquals(0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-41.654);
    CheckEquals(1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-19.345);
    CheckEquals(0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 324.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetX(-10);
    CheckEquals(0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-23.456);
    CheckEquals(0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-34.566);
    CheckEquals(0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-41.654);
    CheckEquals(1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-19.345);
    CheckEquals(0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 54.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetX(-10);
    CheckEquals(-0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-23.456);
    CheckEquals(-0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-34.566);
    CheckEquals(-0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-41.654);
    CheckEquals(-1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-19.345);
    CheckEquals(-0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 144.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetX(-10);
    CheckEquals(-0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-23.456);
    CheckEquals(-0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-34.566);
    CheckEquals(-0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-41.654);
    CheckEquals(-1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-19.345);
    CheckEquals(-0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 234.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetX(-10);
    CheckEquals(-0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-23.456);
    CheckEquals(-0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-34.566);
    CheckEquals(-0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-41.654);
    CheckEquals(-1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-19.345);
    CheckEquals(-0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 324.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetX(-10);
    CheckEquals(-0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-23.456);
    CheckEquals(-0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-34.566);
    CheckEquals(-0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-41.654);
    CheckEquals(-1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-19.345);
    CheckEquals(-0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;

  FHClothoidElement := THClothoidElementTestClass.Create(
    12353.815, 23462.601, 110, 54.65428, 90, 1000, 100, True);
  Try
    R := FHClothoidElement.GetX(10);
    CheckEquals(0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(23.456);
    CheckEquals(0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(34.566);
    CheckEquals(0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(41.654);
    CheckEquals(1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(19.345);
    CheckEquals(0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12351.517, 23448.671, 110, 144.08132, 90, -1000, -100, True);
  Try
    R := FHClothoidElement.GetX(10);
    CheckEquals(-0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(23.456);
    CheckEquals(-0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(34.566);
    CheckEquals(-0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(41.654);
    CheckEquals(-1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(19.345);
    CheckEquals(-0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12353.796, 23462.628, 0, 234.08132, 90, 100, 1000, True);
  Try
    R := FHClothoidElement.GetX(-10);
    CheckEquals(0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-23.456);
    CheckEquals(0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-34.566);
    CheckEquals(0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-41.654);
    CheckEquals(1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-19.345);
    CheckEquals(0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12351.490, 23448.652, 0, 324.65428, 90, -100, -1000, True);
  Try
    R := FHClothoidElement.GetX(-10);
    CheckEquals(-0.017, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-23.456);
    CheckEquals(-0.215, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-34.566);
    CheckEquals(-0.688, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-41.654);
    CheckEquals(-1.204, R, iCoordinateTolerance);
    R := FHClothoidElement.GetX(-19.345);
    CheckEquals(-0.121, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
end;

procedure TestTHClothoidElement.TestGetY;

Var
  R : Double;

begin
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 54.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetY(10);
    CheckEquals(10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(23.456);
    CheckEquals(23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(34.566);
    CheckEquals(34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(41.654);
    CheckEquals(41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(19.345);
    CheckEquals(19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 144.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetY(10);
    CheckEquals(10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(23.456);
    CheckEquals(23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(34.566);
    CheckEquals(34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(41.654);
    CheckEquals(41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(19.345);
    CheckEquals(19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 234.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetY(10);
    CheckEquals(10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(23.456);
    CheckEquals(23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(34.566);
    CheckEquals(34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(41.654);
    CheckEquals(41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(19.345);
    CheckEquals(19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 324.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetY(10);
    CheckEquals(10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(23.456);
    CheckEquals(23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(34.566);
    CheckEquals(34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(41.654);
    CheckEquals(41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(19.345);
    CheckEquals(19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 54.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetY(10);
    CheckEquals(10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(23.456);
    CheckEquals(23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(34.566);
    CheckEquals(34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(41.654);
    CheckEquals(41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(19.345);
    CheckEquals(19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 144.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetY(10);
    CheckEquals(10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(23.456);
    CheckEquals(23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(34.566);
    CheckEquals(34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(41.654);
    CheckEquals(41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(19.345);
    CheckEquals(19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 234.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetY(10);
    CheckEquals(10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(23.456);
    CheckEquals(23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(34.566);
    CheckEquals(34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(41.654);
    CheckEquals(41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(19.345);
    CheckEquals(19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 324.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetY(10);
    CheckEquals(10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(23.456);
    CheckEquals(23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(34.566);
    CheckEquals(34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(41.654);
    CheckEquals(41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(19.345);
    CheckEquals(19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 54.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetY(-10);
    CheckEquals(-10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-23.456);
    CheckEquals(-23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-34.566);
    CheckEquals(-34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-41.654);
    CheckEquals(-41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-19.345);
    CheckEquals(-19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 144.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetY(-10);
    CheckEquals(-10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-23.456);
    CheckEquals(-23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-34.566);
    CheckEquals(-34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-41.654);
    CheckEquals(-41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-19.345);
    CheckEquals(-19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 234.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetY(-10);
    CheckEquals(-10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-23.456);
    CheckEquals(-23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-34.566);
    CheckEquals(-34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-41.654);
    CheckEquals(-41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-19.345);
    CheckEquals(-19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 324.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetY(-10);
    CheckEquals(-10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-23.456);
    CheckEquals(-23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-34.566);
    CheckEquals(-34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-41.654);
    CheckEquals(-41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-19.345);
    CheckEquals(-19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;

  FHClothoidElement := THClothoidElementTestClass.Create(
    12353.815, 23462.601, 110, 54.65428, 90, 1000, 100, True);
  Try
    R := FHClothoidElement.GetY(10);
    CheckEquals(10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(23.456);
    CheckEquals(23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(34.566);
    CheckEquals(34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(41.654);
    CheckEquals(41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(19.345);
    CheckEquals(19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12351.517, 23448.671, 110, 144.08132, 90, -1000, -100, True);
  Try
    R := FHClothoidElement.GetY(10);
    CheckEquals(10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(23.456);
    CheckEquals(23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(34.566);
    CheckEquals(34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(41.654);
    CheckEquals(41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(19.345);
    CheckEquals(19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12353.796, 23462.628, 0, 234.08132, 90, 100, 1000, True);
  Try
    R := FHClothoidElement.GetY(-10);
    CheckEquals(-10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-23.456);
    CheckEquals(-23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-34.566);
    CheckEquals(-34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-41.654);
    CheckEquals(-41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-19.345);
    CheckEquals(-19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12351.490, 23448.652, 0, 324.65428, 90, -100, -1000, True);
  Try
    R := FHClothoidElement.GetY(-10);
    CheckEquals(-10.000, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-23.456);
    CheckEquals(-23.454, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-34.566);
    CheckEquals(-34.554, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-41.654);
    CheckEquals(-41.623, R, iCoordinateTolerance);
    R := FHClothoidElement.GetY(-19.345);
    CheckEquals(-19.344, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
end;

procedure TestTHClothoidElement.TestGetTheta;

Var
  R : Double;

begin
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 54.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetTheta(10);
    CheckEquals(DegToRad(0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(23.456);
    CheckEquals(DegToRad(1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(34.566);
    CheckEquals(DegToRad(3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(41.654);
    CheckEquals(DegToRad(4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(19.345);
    CheckEquals(DegToRad(1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 144.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetTheta(10);
    CheckEquals(DegToRad(0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(23.456);
    CheckEquals(DegToRad(1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(34.566);
    CheckEquals(DegToRad(3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(41.654);
    CheckEquals(DegToRad(4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(19.345);
    CheckEquals(DegToRad(1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 234.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetTheta(10);
    CheckEquals(DegToRad(0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(23.456);
    CheckEquals(DegToRad(1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(34.566);
    CheckEquals(DegToRad(3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(41.654);
    CheckEquals(DegToRad(4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(19.345);
    CheckEquals(DegToRad(1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 324.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetTheta(10);
    CheckEquals(DegToRad(0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(23.456);
    CheckEquals(DegToRad(1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(34.566);
    CheckEquals(DegToRad(3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(41.654);
    CheckEquals(DegToRad(4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(19.345);
    CheckEquals(DegToRad(1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 54.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetTheta(10);
    CheckEquals(DegToRad(-0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(23.456);
    CheckEquals(DegToRad(-1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(34.566);
    CheckEquals(DegToRad(-3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(41.654);
    CheckEquals(DegToRad(-4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(19.345);
    CheckEquals(DegToRad(-1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 144.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetTheta(10);
    CheckEquals(DegToRad(-0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(23.456);
    CheckEquals(DegToRad(-1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(34.566);
    CheckEquals(DegToRad(-3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(41.654);
    CheckEquals(DegToRad(-4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(19.345);
    CheckEquals(DegToRad(-1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 234.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetTheta(10);
    CheckEquals(DegToRad(-0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(23.456);
    CheckEquals(DegToRad(-1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(34.566);
    CheckEquals(DegToRad(-3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(41.654);
    CheckEquals(DegToRad(-4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(19.345);
    CheckEquals(DegToRad(-1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 324.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetTheta(10);
    CheckEquals(DegToRad(-0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(23.456);
    CheckEquals(DegToRad(-1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(34.566);
    CheckEquals(DegToRad(-3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(41.654);
    CheckEquals(DegToRad(-4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(19.345);
    CheckEquals(DegToRad(-1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 54.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetTheta(-10);
    CheckEquals(DegToRad(-0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-23.456);
    CheckEquals(DegToRad(-1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-34.566);
    CheckEquals(DegToRad(-3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-41.654);
    CheckEquals(DegToRad(-4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-19.345);
    CheckEquals(DegToRad(-1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 144.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetTheta(-10);
    CheckEquals(DegToRad(-0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-23.456);
    CheckEquals(DegToRad(-1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-34.566);
    CheckEquals(DegToRad(-3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-41.654);
    CheckEquals(DegToRad(-4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-19.345);
    CheckEquals(DegToRad(-1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 234.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetTheta(-10);
    CheckEquals(DegToRad(-0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-23.456);
    CheckEquals(DegToRad(-1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-34.566);
    CheckEquals(DegToRad(-3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-41.654);
    CheckEquals(DegToRad(-4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-19.345);
    CheckEquals(DegToRad(-1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 324.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetTheta(-10);
    CheckEquals(DegToRad(-0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-23.456);
    CheckEquals(DegToRad(-1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-34.566);
    CheckEquals(DegToRad(-3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-41.654);
    CheckEquals(DegToRad(-4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-19.345);
    CheckEquals(DegToRad(-1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 54.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetTheta(-10);
    CheckEquals(DegToRad(0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-23.456);
    CheckEquals(DegToRad(1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-34.566);
    CheckEquals(DegToRad(3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-41.654);
    CheckEquals(DegToRad(4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-19.345);
    CheckEquals(DegToRad(1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 144.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetTheta(-10);
    CheckEquals(DegToRad(0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-23.456);
    CheckEquals(DegToRad(1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-34.566);
    CheckEquals(DegToRad(3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-41.654);
    CheckEquals(DegToRad(4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-19.345);
    CheckEquals(DegToRad(1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 234.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetTheta(-10);
    CheckEquals(DegToRad(0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-23.456);
    CheckEquals(DegToRad(1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-34.566);
    CheckEquals(DegToRad(3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-41.654);
    CheckEquals(DegToRad(4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-19.345);
    CheckEquals(DegToRad(1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    0, 324.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetTheta(-10);
    CheckEquals(DegToRad(0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-23.456);
    CheckEquals(DegToRad(1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-34.566);
    CheckEquals(DegToRad(3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-41.654);
    CheckEquals(DegToRad(4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-19.345);
    CheckEquals(DegToRad(1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;

  FHClothoidElement := THClothoidElementTestClass.Create(
    12353.815, 23462.601, 110, 54.65428, 90, 1000, 100, True);
  Try
    R := FHClothoidElement.GetTheta(10);
    CheckEquals(DegToRad(0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(23.456);
    CheckEquals(DegToRad(1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(34.566);
    CheckEquals(DegToRad(3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(41.654);
    CheckEquals(DegToRad(4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(19.345);
    CheckEquals(DegToRad(1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12351.517, 23448.671, 110, 144.08132, 90, -1000, -100, True);
  Try
    R := FHClothoidElement.GetTheta(10);
    CheckEquals(DegToRad(-0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(23.456);
    CheckEquals(DegToRad(-1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(34.566);
    CheckEquals(DegToRad(-3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(41.654);
    CheckEquals(DegToRad(-4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(19.345);
    CheckEquals(DegToRad(-1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12353.796, 23462.628, 0, 234.08132, 90, 100, 1000, True);
  Try
    R := FHClothoidElement.GetTheta(-10);
    CheckEquals(DegToRad(-0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-23.456);
    CheckEquals(DegToRad(-1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-34.566);
    CheckEquals(DegToRad(-3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-41.654);
    CheckEquals(DegToRad(-4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-19.345);
    CheckEquals(DegToRad(-1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12351.490, 23448.652, 0, 324.65428, 90, -100, -1000, True);
  Try
    R := FHClothoidElement.GetTheta(-10);
    CheckEquals(DegToRad(0.28648), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-23.456);
    CheckEquals(DegToRad(1.57616), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-34.566);
    CheckEquals(DegToRad(3.42287), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-41.654);
    CheckEquals(DegToRad(4.97057), R, iCoordinateTolerance);
    R := FHClothoidElement.GetTheta(-19.345);
    CheckEquals(DegToRad(1.07209), R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
end;

procedure TestTHClothoidElement.TestSetout;
var
  ReturnValue: THInfo;
  dblOffset: Double;
  dblChainage: Double;
begin
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 54.3678, 100, 100, 10000, False);
  Try
    dblChainage := 123.456;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12370.100, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23462.536, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals( 55.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12367.583, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23486.805, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals( 57.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 144.3678, 100, 100, 10000, False);
  Try
    dblChainage := 123.456;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12351.425, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23432.367, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(145.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12375.694, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23434.884, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(147.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 234.3678, 100, 100, 10000, False);
  Try
    dblChainage := 123.456;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12321.256, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23451.042, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(235.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12323.773, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23426.773, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(237.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 324.3678, 100, 100, 10000, False);
  Try
    dblChainage := 123.456;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12339.931, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23481.211, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(325.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12315.662, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23478.694, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(327.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 54.3678, 100, 100, -10000, False);
  Try
    dblChainage := 123.456;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12370.267, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23463.185, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals( 52.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12365.583, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23487.065, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals( 50.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 144.3678, 100, 100, -10000, False);
  Try
    dblChainage := 123.456;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12352.074, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23432.200, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(142.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12375.954, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23436.884, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(140.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 234.3678, 100, 100, -10000, False);
  Try
    dblChainage := 123.456;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12321.089, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23450.393, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(232.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12325.773, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23426.513, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(230.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 324.3678, 100, 100, -10000, False);
  Try
    dblChainage := 123.456;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12339.282, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23481.378, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(322.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12315.402, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23476.694, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(320.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 54.3678, 100, 0, 10000, False);
  Try
    dblChainage :=  76.544;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12332.391, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23435.507, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(52.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage :=  65.434;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12310.216, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23445.686, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(50.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 144.3678, 100, 0, 10000, False);
  Try
    dblChainage :=  76.544;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12324.396, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23470.076, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(142.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage :=  65.434;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12334.575, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23492.251, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(140.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 234.3678, 100, 0, 10000, False);
  Try
    dblChainage :=  76.544;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12358.965, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23478.071, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(232.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage :=  65.434;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12381.140, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23467.892, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(230.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 324.3678, 100, 0, 10000, False);
  Try
    dblChainage :=  76.544;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12366.960, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23443.502, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(322.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage :=  65.434;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12356.781, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23421.327, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(320.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 54.3678, 100, 0, -10000, False);
  Try
    dblChainage :=  76.544;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12331.723, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23435.558, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals( 55.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage :=  65.434;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12310.613, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23447.663, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals( 57.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 144.3678, 100, 0, -10000, False);
  Try
    dblChainage :=  76.544;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12324.447, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23470.744, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(145.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage :=  65.434;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12336.552, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23491.854, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(147.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 234.3678, 100, 0, -10000, False);
  Try
    dblChainage :=  76.544;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12359.633, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23478.020, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(235.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage :=  65.434;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12380.743, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23465.915, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(237.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 324.3678, 100, 0, -10000, False);
  Try
    dblChainage :=  76.544;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12366.909, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23442.834, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(325.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage :=  65.434;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12354.804, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23421.724, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(327.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;

  FHClothoidElement := THClothoidElementTestClass.Create(
    12353.815, 23462.601, 110, 54.65428, 90, 1000, 100, True);
  Try
    dblChainage := 123.456;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12370.100, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23462.536, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals( 55.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12367.583, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23486.805, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals( 57.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12351.517, 23448.671, 110, 144.08132, 90, -1000, -100, True);
  Try
    dblChainage := 123.456;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12352.074, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23432.200, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(142.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12375.954, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23436.884, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(140.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12385.041, 23487.564, 50, 227.20583, 40, 200, 1000, True);
  Try
    dblChainage :=  76.544;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12358.965, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23478.071, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(232.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage :=  65.434;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12381.140, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23467.892, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(230.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12373.070, 23415.001, 50, 331.52977, 40, -200, -1000, True);
  Try
    dblChainage :=  76.544;
    dblOffset   :=   9.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12366.909, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23442.834, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(325.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage :=  65.434;
    dblOffset   := -12.345;
    ReturnValue := FHClothoidElement.Setout(dblChainage, dblOffset);
    CheckEquals(12354.804, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23421.724, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(327.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
end;

procedure TestTHClothoidElement.TestMeasure;

var
  ReturnValue: THInfo;
  dblNorthing: Double;
  dblEasting: Double;

begin
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 54.3678, 100, 100, 10000, False);
  Try
    dblEasting  := 12370.100;
    dblNorthing := 23462.536;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals( 55.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12367.583;
    dblNorthing := 23486.805;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals( 57.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 144.3678, 100, 100, 10000, False);
  Try
    dblEasting  := 12351.425;
    dblNorthing := 23432.367;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(145.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12375.694;
    dblNorthing := 23434.884;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(147.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 234.3678, 100, 100, 10000, False);
  Try
    dblEasting  := 12321.256;
    dblNorthing := 23451.042;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(235.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12323.773;
    dblNorthing := 23426.773;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(237.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 324.3678, 100, 100, 10000, False);
  Try
    dblEasting  := 12339.931;
    dblNorthing := 23481.211;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(325.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12315.662;
    dblNorthing := 23478.694;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(327.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 54.3678, 100, 100, -10000, False);
  Try
    dblEasting  := 12370.267;
    dblNorthing := 23463.185;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(52.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12365.583;
    dblNorthing := 23487.065;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(50.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 144.3678, 100, 100, -10000, False);
  Try
    dblEasting  := 12352.074;
    dblNorthing := 23432.200;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(142.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12375.954;
    dblNorthing := 23436.884;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(140.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 234.3678, 100, 100, -10000, False);
  Try
    dblEasting  := 12321.089;
    dblNorthing := 23450.393;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(232.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12325.773;
    dblNorthing := 23426.513;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(230.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 324.3678, 100, 100, -10000, False);
  Try
    dblEasting  := 12339.282;
    dblNorthing := 23481.378;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(322.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12315.402;
    dblNorthing := 23476.694;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(320.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 54.3678, 100, 0, 10000, False);
  Try
    dblEasting  := 12332.391;
    dblNorthing := 23435.507;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(76.544, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(52.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12310.216;
    dblNorthing := 23445.686;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(65.434, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(50.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 144.3678, 100, 0, 10000, False);
  Try
    dblEasting  := 12324.396;
    dblNorthing := 23470.076;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(76.544, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(142.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12334.575;
    dblNorthing := 23492.251;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(65.434, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(140.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 234.3678, 100, 0, 10000, False);
  Try
    dblEasting  := 12358.965;
    dblNorthing := 23478.071;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(76.544, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(232.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12381.140;
    dblNorthing := 23467.892;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(65.434, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(230.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 324.3678, 100, 0, 10000, False);
  Try
    dblEasting  := 12366.960;
    dblNorthing := 23443.502;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(76.544, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(322.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12356.781;
    dblNorthing := 23421.327;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(65.434, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(320.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 54.3678, 100, 0, -10000, False);
  Try
    dblEasting  := 12331.723;
    dblNorthing := 23435.558;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(76.544, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals( 55.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12310.613;
    dblNorthing := 23447.663;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(65.434, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals( 57.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 144.3678, 100, 0, -10000, False);
  Try
    dblEasting  := 12324.447;
    dblNorthing := 23470.744;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(76.544, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(145.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12336.552;
    dblNorthing := 23491.854;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(65.434, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(147.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 234.3678, 100, 0, -10000, False);
  Try
    dblEasting  := 12359.633;
    dblNorthing := 23478.020;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(76.544, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(235.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12380.743;
    dblNorthing := 23465.915;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(65.434, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(237.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 324.3678, 100, 0, -10000, False);
  Try
    dblEasting  := 12366.909;
    dblNorthing := 23442.834;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(76.544, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(325.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12354.804;
    dblNorthing := 23421.724;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(65.434, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(327.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12353.815, 23462.601, 110, 54.65428, 90, 1000, 100, True);
  Try
    dblEasting  := 12370.100;
    dblNorthing := 23462.536;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals( 55.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12367.583;
    dblNorthing := 23486.805;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals( 57.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12351.517, 23448.671, 110, 144.08132, 90, -1000, -100, True);
  Try
    dblEasting  := 12352.074;
    dblNorthing := 23432.200;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(142.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12375.954;
    dblNorthing := 23436.884;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(140.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12385.041, 23487.564, 50, 227.20583, 50, 200, 0, True);
  Try
    dblEasting  := 12358.965;
    dblNorthing := 23478.071;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(76.544, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(232.79164, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12381.140;
    dblNorthing := 23467.892;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(65.434, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(230.94493, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12373.070, 23415.001, 50, 331.52977, 50, -200, 0, True);
  Try
    dblEasting  := 12366.909;
    dblNorthing := 23442.834;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(76.544, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(325.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12354.804;
    dblNorthing := 23421.724;
    ReturnValue := FHClothoidElement.Measure(dblEasting, dblNorthing);
    CheckEquals(65.434, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(327.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
end;

procedure TestTHClothoidElement.TestCompare;

var
  ReturnValue: THCompInfo;
  dblBearing: Double;
  dblNorthing: Double;
  dblEasting: Double;

begin
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 54.3678, 100, 100, 10000, False);
  Try
    dblEasting  := 12386.303;
    dblNorthing := 23475.428;
    dblBearing  :=   127.23487;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12380.209, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23480.059, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals( 59.33837, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12348.651;
    dblNorthing := 23476.393;
    dblBearing  :=   123.33639;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12361.471, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23467.961, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals( 55.43989, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 144.3678, 100, 100, 10000, False);
  Try
    dblEasting  := 12364.317;
    dblNorthing := 23416.164;
    dblBearing  :=   217.23487;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12368.948, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23422.258, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(149.33837, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12365.282;
    dblNorthing := 23453.816;
    dblBearing  :=   213.33639;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12356.850, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23440.996, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(145.43989, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 234.3678, 100, 100, 10000, False);
  Try
    dblEasting  := 12305.053;
    dblNorthing := 23438.150;
    dblBearing  :=   307.23487;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12311.147, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23433.519, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(239.33837, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12342.705;
    dblNorthing := 23437.185;
    dblBearing  :=   303.33639;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12329.885, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23445.617, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(235.43989, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 324.3678, 100, 100, 10000, False);
  Try
    dblEasting  := 12327.039;
    dblNorthing := 23497.414;
    dblBearing  :=   37.23487;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12322.408, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23491.320, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(329.33837, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12326.074;
    dblNorthing := 23459.762;
    dblBearing  :=   33.33639;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12334.506, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23472.582, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(325.43989, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 54.3678, 100, 100, -10000, False);
  Try
    dblEasting  := 12385.608;
    dblNorthing := 23478.506;
    dblBearing  := 117.29373;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12378.806, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23482.016, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals( 49.39723, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12348.204;
    dblNorthing := 23476.104;
    dblBearing  := 121.19221;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12361.330, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23468.157, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals( 53.29571, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 144.3678, 100, 100, -10000, False);
  Try
    dblEasting  := 12367.395;
    dblNorthing := 23416.859;
    dblBearing  := 207.29373;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12370.905, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23423.661, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(139.39723, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12364.993;
    dblNorthing := 23454.263;
    dblBearing  := 211.19221;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12357.046, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23441.137, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(143.29571, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 234.3678, 100, 100, -10000, False);
  Try
    dblEasting  := 12305.748;
    dblNorthing := 23435.072;
    dblBearing  := 297.29373;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12312.550, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23431.562, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(229.39723, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12343.152;
    dblNorthing := 23437.474;
    dblBearing  := 301.19221;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12330.026, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23445.421, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(233.29571, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 324.3678, 100, 100, -10000, False);
  Try
    dblEasting  := 12323.961;
    dblNorthing := 23496.719;
    dblBearing  := 27.29373;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12320.451, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23489.917, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(319.39723, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12326.363;
    dblNorthing := 23459.315;
    dblBearing  := 31.19221;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12334.310, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23472.441, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(323.29571, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 54.3678, 100, 0, 10000, False);
  Try
    dblEasting  := 12319.351;
    dblNorthing := 23428.052;
    dblBearing  := 117.29373;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12312.550, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23431.562, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  58.346, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(49.39723, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12316.899;
    dblNorthing := 23453.369;
    dblBearing  := 121.19221;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12330.026, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23445.421, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  80.655, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(53.29571, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 144.3678, 100, 0, 10000, False);
  Try
    dblEasting  := 12316.941;
    dblNorthing := 23483.116;
    dblBearing  := 207.29373;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12320.451, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23489.917, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  58.346, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(139.39723, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12342.258;
    dblNorthing := 23485.568;
    dblBearing  := 211.19221;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12334.310, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23472.441, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  80.655, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(143.29571, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 234.3678, 100, 0, 10000, FAlse);
  Try
    dblEasting  := 12372.005;
    dblNorthing := 23485.526;
    dblBearing  := 297.29373;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12378.806, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23482.016, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  58.346, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(229.39723, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12374.457;
    dblNorthing := 23460.209;
    dblBearing  := 301.19221;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12361.330, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23468.157, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  80.655, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(233.29571, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 324.3678, 100, 0, 10000, False);
  Try
    dblEasting  := 12374.415;
    dblNorthing := 23430.462;
    dblBearing  := 27.29373;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12370.905, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23423.661, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  58.346, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(319.39723, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12349.098;
    dblNorthing := 23428.010;
    dblBearing  := 31.19221;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12357.046, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23441.137, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  80.655, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(323.29571, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 54.3678, 100, 0, -10000, False);
  Try
    dblEasting  := 12317.241;
    dblNorthing := 23428.888;
    dblBearing  := 127.23487;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12311.147, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23433.519, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  58.346, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals( 59.33837, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12317.065;
    dblNorthing := 23454.050;
    dblBearing  := 123.33639;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12329.885, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23445.617, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  80.655, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals( 55.43989, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 144.3678, 100, 0, -10000, False);
  Try
    dblEasting  := 12317.777;
    dblNorthing := 23485.226;
    dblBearing  := 217.23487;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12322.408, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23491.320, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  58.346, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(149.33837, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12342.939;
    dblNorthing := 23485.402;
    dblBearing  := 213.33639;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12334.506, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23472.582, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  80.655, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(145.43989, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 234.3678, 100, 0, -10000, False);
  Try
    dblEasting  := 12374.115;
    dblNorthing := 23484.690;
    dblBearing  := 307.23487;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12380.209, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23480.059, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  58.346, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(239.33837, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12374.291;
    dblNorthing := 23459.528;
    dblBearing  := 303.33639;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12361.471, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23467.961, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  80.655, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(235.43989, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 324.3678, 100, 0, -10000, False);
  Try
    dblEasting  := 12373.579;
    dblNorthing := 23428.352;
    dblBearing  := 37.23487;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12368.948, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23422.258, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  58.346, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(329.33837, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12348.417;
    dblNorthing := 23428.176;
    dblBearing  := 33.33639;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12356.850, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23440.996, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  80.655, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(325.43989, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;

  FHClothoidElement := THClothoidElementTestClass.Create(
    12353.815, 23462.601, 110, 54.65428, 90, 1000, 100, True);
  Try
    dblEasting  := 12386.303;
    dblNorthing := 23475.428;
    dblBearing  :=   127.23487;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12380.209, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23480.059, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals( 59.33837, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12348.651;
    dblNorthing := 23476.393;
    dblBearing  :=   123.33639;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12361.471, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23467.961, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals( 55.43989, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12351.517, 23448.671, 110, 144.08132, 90, -1000, -100, True);
  Try
    dblEasting  := 12367.395;
    dblNorthing := 23416.859;
    dblBearing  := 207.29373;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12370.905, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23423.661, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(139.39723, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12364.993;
    dblNorthing := 23454.263;
    dblBearing  := 211.19221;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12357.046, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23441.137, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  119.345, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(143.29571, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12385.041, 23487.564, 50, 227.20583, 50, 200, 0, True);
  Try
    dblEasting  := 12372.005;
    dblNorthing := 23485.526;
    dblBearing  := 297.29373;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12378.806, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23482.016, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  58.346, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(229.39723, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12374.457;
    dblNorthing := 23460.209;
    dblBearing  := 301.19221;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12361.330, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23468.157, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  80.655, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(233.29571, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(
    12373.070, 23415.001, 50, 331.52977, 40, -200, -1000, True);
  Try
    dblEasting  := 12373.579;
    dblNorthing := 23428.352;
    dblBearing  := 37.23487;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12368.948, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23422.258, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  58.346, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(   -7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(329.33837, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12348.417;
    dblNorthing := 23428.176;
    dblBearing  := 33.33639;
    ReturnValue := FHClothoidElement.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12356.850, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23440.996, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  80.655, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(325.43989, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHClothoidElement.Free;
  End;
end;

procedure TestTHClothoidElement.TestGetRadius;

var
  R: Double;

begin
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 54.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetRadius(150);
    CheckEquals(10000/50, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.567, 23456.789,
    100, 54.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetRadius(150);
    CheckEquals(-10000/50, R, iCoordinateTolerance);
  Finally
    FHClothoidElement.Free;
  End;
end;

procedure TestTHClothoidElement.TestGetElementDetails;

var
  R: THElement;

begin
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 54.3678, 100, 100, 10000, False);
  Try
    R := FHClothoidElement.GetElementDetails;
    CheckEquals(12345.678, R.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23456.789, R.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(54.3678, R.dblBearing, iCoordinateTolerance, 'Bearing');
    CheckEquals(100, R.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(100, R.dblLength, iCoordinateTolerance, 'Length');
    CheckEquals(10000, R.dblRLValue, iCoordinateTolerance, 'RLValue');
    CheckEquals(100, R.dblStChainage, iCoordinateTolerance, 'StChainage');
  Finally
    FHClothoidElement.Free;
  End;
  FHClothoidElement := THClothoidElementTestClass.Create(12345.678, 23456.789,
    100, 54.3678, 100, 100, -10000, False);
  Try
    R := FHClothoidElement.GetElementDetails;
    CheckEquals(12345.678, R.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23456.789, R.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(54.3678, R.dblBearing, iCoordinateTolerance, 'Bearing');
    CheckEquals(100, R.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(100, R.dblLength, iCoordinateTolerance, 'Length');
    CheckEquals(-10000, R.dblRLValue, iCoordinateTolerance, 'RLValue');
    CheckEquals(100, R.dblStChainage, iCoordinateTolerance, 'StChainage');
  Finally
    FHClothoidElement.Free;
  End;
end;

procedure TestTVStraightElement.SetUp;
begin
  FVStraightElement := TVStraightElementTestClass.Create(123.456, 0.12345, 100, 100);
end;

procedure TestTVStraightElement.TearDown;
begin
  FVStraightElement.Free;
  FVStraightElement := nil;
end;

procedure TestTVStraightElement.TestElementType;
var
  ReturnValue: TElementType;
begin
  ReturnValue := FVStraightElement.GetElementType;
  Check(etStraight = ReturnValue);
end;

procedure TestTVStraightElement.TestGetRadius;
var
  ReturnValue: Double;
  dblChainage: Double;
begin
  dblChainage := 150;
  ReturnValue := FVStraightElement.GetRadius(dblChainage);
  CheckEquals(999999.9, ReturnValue, iCoordinateTolerance);
end;

procedure TestTVStraightElement.TestSetout;
var
  ReturnValue: TVInfo;
  dblChainage: Double;
begin
  dblChainage := 150;
  ReturnValue := FVStraightElement.Setout(dblChainage);
  CheckEquals(129.6285, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
  CheckEquals(0.12345, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
end;

procedure TestTVStraightElement.TestGetElementDetails;
var
  ReturnValue: TVElement;
begin
  ReturnValue := FVStraightElement.ElementDetails;
  CheckEquals(123.456, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
  CheckEquals(0.12345, ReturnValue.dblGradient, iBearingTolerance, 'Gradient');
  CheckEquals(100, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
  CheckEquals(100, ReturnValue.dblLength, iCoordinateTolerance, 'Length');
end;

procedure TestTVCircularElement.SetUp;
begin
  FVCircularElement := TVCircularElementTestClass.Create(123.456, 0.12345, 100,
    100, -1000);
end;

procedure TestTVCircularElement.TearDown;
begin
  FVCircularElement.Free;
  FVCircularElement := nil;
end;

procedure TestTVCircularElement.TestElementType;
var
  ReturnValue: TElementType;
begin
  ReturnValue := FVCircularElement.GetElementType;
  Check(etCircular = ReturnValue);
end;

procedure TestTVCircularElement.TestGetRadius;
var
  ReturnValue: Double;
  dblChainage: Double;
begin
  dblChainage := 150;
  ReturnValue := FVCircularElement.GetRadius(dblChainage);
  CheckEquals(-1000, ReturnValue, iCoordinateTolerance);
end;

procedure TestTVCircularElement.TestSetout;
var
  ReturnValue: TVInfo;
  dblChainage: Double;
begin
  dblChainage := 150;
  ReturnValue := FVCircularElement.Setout(dblChainage);
  CheckEquals(128.3785, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
  CheckEquals(0.07345, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
end;

procedure TestTVCircularElement.TestGetElementDetails;
var
  ReturnValue: TVElement;
begin
  ReturnValue := FVCircularElement.ElementDetails;
  CheckEquals(123.456, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
  CheckEquals(0.12345, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
  CheckEquals(100, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
  CheckEquals(100, ReturnValue.dblLength, iCoordinateTolerance, 'Length');
  CheckEquals(-1000, ReturnValue.dblRadius, iCoordinateTolerance, 'Radius');
end;

procedure TestTHAlignmentCollection.TestCount;
var
  ReturnValue: Integer;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 123.456789, 100, 100);
    ReturnValue := FHAlignmentCollection.Count;
    CheckEquals(1, ReturnValue);
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestElementType;
var
  ReturnValue: TElementType;
  iElement: Integer;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 123.456789, 100, 100);
    iElement := 0;
    ReturnValue := FHAlignmentCollection.ElementType(iElement);
    Check(etStraight = ReturnValue);
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestGetElementStart;
var
  ReturnValue: THInfo;
  iElement: Integer;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 123.456789, 100, 100);
    iElement := 0;
    ReturnValue := FHAlignmentCollection.GetElementStart(iElement);
    CheckEquals(12345.678, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23456.789, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(123.456789, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestGetElementEnd;
var
  ReturnValue: THInfo;
  iElement: Integer;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 123.456789, 100, 100);
    iElement := 0;
    ReturnValue := FHAlignmentCollection.GetElementEnd(iElement);
    CheckEquals(12429.108, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23401.658, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(123.456789, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestGetStartChainage;
var
  ReturnValue: Double;
  iElement: Integer;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 123.456789, 100, 100);
    iElement := 0;
    ReturnValue := FHAlignmentCollection.GetStartChainage(iElement);
    CheckEquals(100, ReturnValue, iCoordinateTolerance);
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestGetEndChainage;
var
  ReturnValue: Double;
  iElement: Integer;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 123.456789, 100, 100);
    iElement := 0;
    ReturnValue := FHAlignmentCollection.GetEndChainage(iElement);
    CheckEquals(200, ReturnValue, iCoordinateTolerance);
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestGetRadius;
var
  ReturnValue: Double;
  iElement: Integer;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 123.456789, 100, 100);
    iElement := 0;
    ReturnValue := FHAlignmentCollection.GetRadius(iElement, 150);
    CheckEquals(999999.9, ReturnValue, iCoordinateTolerance);
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestAddStraight;

var
  i : Integer;

begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    i := FHAlignmentCollection.Count;
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 123.456789, 100, 100);
    CheckEquals(i + 1, FHAlignmentCollection.Count);
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestAddCircular;

var
  i : Integer;

begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    i := FHAlignmentCollection.Count;
    FHAlignmentCollection.AddCircular(12345.678, 23456.789, 123.456789, 100, 100,
      100, false);
    CheckEquals(i + 1, FHAlignmentCollection.Count);
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestAddClothoid;

var
  i : Integer;

begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    i := FHAlignmentCollection.Count;
    FHAlignmentCollection.AddClothoid(12345.678, 23456.789, 123.456789, 100, 100,
      1000, 100);
    CheckEquals(i + 1, FHAlignmentCollection.Count);
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestAddClothoidFalse;

var
  i : Integer;

begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    i := FHAlignmentCollection.Count;
    FHAlignmentCollection.AddClothoidFalse(12345.678, 23456.789, 123.456789, 110,
      90, 100, 10);
    CheckEquals(i + 1, FHAlignmentCollection.Count);
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestUpdateStraight;

var
  R : THElement;

begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 123.456789, 100, 100);
    FHAlignmentCollection.UpdateStraight(0, -12345.678, -23456.789, 234.5678, 110, 230);
    R := FHAlignmentCollection.GetStraight(0);
    CheckEquals(-12345.678, R.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(-23456.789, R.dblNorthing, iCoordinateTolerance, 'Easting');
    CheckEquals(234.5678, R.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(110, R.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(230, R.dblLength, iCoordinateTolerance, 'Length');
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestUpdateCircular;
var
  R : THElement;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddCircular(12345.678, 23456.789, 123.456789, 100, 1000, 100, True);
    FHAlignmentCollection.UpdateCircular(0, -12345.678, -23456.789, 234.5678, 110, -1000, 230, true);
    R := FHAlignmentCollection.GetCircular(0);
    CheckEquals(-12345.678, R.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(-23456.789, R.dblNorthing, iCoordinateTolerance, 'Easting');
    CheckEquals(234.5678, R.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(110, R.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-1000, R.dblRadius, iCoordinateTolerance, 'Radius');
    CheckEquals(230, R.dblLength, iCoordinateTolerance, 'Length');
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestUpdateClothoid;
var
  R : THElement;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddClothoid(12345.678, 23456.789, 123.456789, 100, 100, 10000, 100);
    FHAlignmentCollection.UpdateClothoid(0, -12345.678, -23456.789, 234.5678, 110, 110, -10000, 230, false);
    R := FHAlignmentCollection.GetClothoid(0);
    CheckEquals(-12345.678, R.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(-23456.789, R.dblNorthing, iCoordinateTolerance, 'Easting');
    CheckEquals(234.5678, R.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(110, R.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-10000, R.dblRLValue, iCoordinateTolerance, 'RLValue');
    CheckEquals(230, R.dblLength, iCoordinateTolerance, 'Length');
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestLoadFromFileSaveToFile;
Var
  strFileName : String;
  R : THElement;
begin
  strFileName := ExtractFilePath(ParamStr(0)) + 'TestAlignment.TXT';
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddCircular(12345.678, 23456.789, 123.456789, 100, 1000, 100, True);
    Check(Not FileExists(strFileName), 'Before Create');
    FHAlignmentCollection.SaveToFile(strFileName);
    Check(FileExists(strFileName), 'After Create');
    FHAlignmentCollection.Clear;
    Check(FHAlignmentCollection.Count = 0, 'Check Clear');
    FHAlignmentCollection.LoadFromFile(strFileName);
    R := FHAlignmentCollection.GetCircular(0);
    CheckEquals(12345.678, R.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23456.789, R.dblNorthing, iCoordinateTolerance, 'Easting');
    CheckEquals(123.456789, R.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(100, R.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(1000, R.dblRadius, iCoordinateTolerance, 'Radius');
    CheckEquals(100, R.dblLength, iCoordinateTolerance, 'Length');
    DeleteFile(strFileName);
    Check(Not FileExists(strFileName), 'After Delete');
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestGetStraight;

var
  R : THElement;

begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 123.456789, 100, 100);
    R := FHAlignmentCollection.GetStraight(0);
    CheckEquals(12345.678, R.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23456.789, R.dblNorthing, iCoordinateTolerance, 'Easting');
    CheckEquals(123.456789, R.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(100, R.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(100, R.dblLength, iCoordinateTolerance, 'Length');
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestGetCircular;
var
  R : THElement;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddCircular(12345.678, 23456.789, 123.456789, 100, 1000, 100, True);
    R := FHAlignmentCollection.GetCircular(0);
    CheckEquals(12345.678, R.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23456.789, R.dblNorthing, iCoordinateTolerance, 'Easting');
    CheckEquals(123.456789, R.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(100, R.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(1000, R.dblRadius, iCoordinateTolerance, 'Radius');
    CheckEquals(100, R.dblLength, iCoordinateTolerance, 'Length');
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestGetClothoid;
var
  R : THElement;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddClothoid(12345.678, 23456.789, 123.456789, 100, 100, 10000, 100);
    R := FHAlignmentCollection.GetClothoid(0);
    CheckEquals(12345.678, R.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23456.789, R.dblNorthing, iCoordinateTolerance, 'Easting');
    CheckEquals(123.456789, R.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(100, R.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(10000, R.dblRLValue, iCoordinateTolerance, 'RLValue');
    CheckEquals(100, R.dblLength, iCoordinateTolerance, 'Length');
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestStartChainage;
var
  dbl : Double;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 123.456789, 100, 100);
    dbl := FHAlignmentCollection.GetStartChainage(0);
    CheckEquals(100, dbl, iCoordinateTolerance, 'Straight');
    FHAlignmentCollection.AddCircular(12345.678, 23456.789, 123.456789, 100, 1000, 100, True);
    dbl := FHAlignmentCollection.GetStartChainage(1);
    CheckEquals(100, dbl, iCoordinateTolerance, 'Circular');
    FHAlignmentCollection.AddClothoid(12345.678, 23456.789, 123.456789, 100, 100, 10000, 100);
    dbl := FHAlignmentCollection.GetStartChainage(2);
    CheckEquals(100, dbl, iCoordinateTolerance, 'Circular');
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestEndChainage;
var
  dbl : Double;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 123.456789, 100, 100);
    dbl := FHAlignmentCollection.GetEndChainage(0);
    CheckEquals(200, dbl, iCoordinateTolerance, 'Straight');
    FHAlignmentCollection.AddCircular(12345.678, 23456.789, 123.456789, 100, 1000, 100, True);
    dbl := FHAlignmentCollection.GetEndChainage(1);
    CheckEquals(200, dbl, iCoordinateTolerance, 'Circular');
    FHAlignmentCollection.AddClothoid(12345.678, 23456.789, 123.456789, 100, 100, 10000, 100);
    dbl := FHAlignmentCollection.GetEndChainage(2);
    CheckEquals(200, dbl, iCoordinateTolerance, 'Circular');
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestClear;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 123.456789, 100, 100);
    FHAlignmentCollection.AddCircular(12345.678, 23456.789, 123.456789, 100, 1000, 100, True);
    FHAlignmentCollection.AddClothoid(12345.678, 23456.789, 123.456789, 100, 100, 10000, 100);
    FHAlignmentCollection.Clear;
    Check(FHAlignmentCollection.Count = 0);
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestSetout;
var
  ReturnValue: THInfo;
  dblOffset: Double;
  dblChainage: Double;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 54.3678, 0, 100);
    FHAlignmentCollection.AddClothoid(12426.955, 23515.047, 54.3678, 100, 100,
      10000, 100);
    FHAlignmentCollection.AddCircular(12515.762, 23558.559, 83.01569, 200,
      1000, 100, False);
    dblChainage := 23.456;
    dblOffset   :=  9.345;
    ReturnValue := FHAlignmentCollection.Setout(dblChainage, dblOffset);
    CheckEquals(12370.187, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23462.859, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 34.566;
    dblOffset   :=-12.345;
    ReturnValue := FHAlignmentCollection.Setout(dblChainage, dblOffset);
    CheckEquals(12366.580, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23486.960, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 123.456;
    dblOffset   :=  9.345;
    ReturnValue := FHAlignmentCollection.Setout(dblChainage, dblOffset);
    CheckEquals(12451.377, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23520.794, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  55.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 134.566;
    dblOffset   :=-12.345;
    ReturnValue := FHAlignmentCollection.Setout(dblChainage, dblOffset);
    CheckEquals(12448.860, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23545.063, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  57.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 223.456;
    dblOffset   :=  9.345;
    ReturnValue := FHAlignmentCollection.Setout(dblChainage, dblOffset);
    CheckEquals(12539.994, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23551.838, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  84.35962, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblChainage := 234.566;
    dblOffset   :=-12.345;
    ReturnValue := FHAlignmentCollection.Setout(dblChainage, dblOffset);
    CheckEquals(12549.060, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23574.466, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  84.99618, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestMeasure;
var
  ReturnValue: THInfo;
  dblNorthing: Double;
  dblEasting: Double;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 54.3678, 0, 100);
    FHAlignmentCollection.AddClothoid(12426.955, 23515.047, 54.3678, 100, 100,
      10000, 100);
    FHAlignmentCollection.AddCircular(12515.762, 23558.559, 83.01569, 200,
      1000, 100, False);
    dblEasting  := 12370.187;
    dblNorthing := 23462.859;
    ReturnValue := FHAlignmentCollection.Measure(dblEasting, dblNorthing);
    CheckEquals(23.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12366.580;
    dblNorthing := 23486.960;
    ReturnValue := FHAlignmentCollection.Measure(dblEasting, dblNorthing);
    CheckEquals(34.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12451.377;
    dblNorthing := 23520.794;
    ReturnValue := FHAlignmentCollection.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(55.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12448.860;
    dblNorthing := 23545.063;
    ReturnValue := FHAlignmentCollection.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(57.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12539.994;
    dblNorthing := 23551.838;
    ReturnValue := FHAlignmentCollection.Measure(dblEasting, dblNorthing);
    CheckEquals(223.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(84.35962, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    dblEasting  := 12549.060;
    dblNorthing := 23574.466;
    ReturnValue := FHAlignmentCollection.Measure(dblEasting, dblNorthing);
    CheckEquals(234.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(84.99618, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTHAlignmentCollection.TestCompare;
var
  ReturnValue: THCompInfo;
  dblBearing: Double;
  dblNorthing: Double;
  dblEasting: Double;
begin
  FHAlignmentCollection := THAlignmentCollection.Create;
  Try
    FHAlignmentCollection.AddStraight(12345.678, 23456.789, 54.3678, 0, 100);
    FHAlignmentCollection.AddClothoid(12426.955, 23515.047, 54.3678, 100, 100,
      10000, 100);
    FHAlignmentCollection.AddCircular(12515.762, 23558.559, 83.01569, 200,
      1000, 100, False);
    dblEasting  := 12386.005;
    dblNorthing := 23476.970;
    dblBearing  := 122.26430;
    ReturnValue := FHAlignmentCollection.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12379.533, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23481.056, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(41.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    dblEasting  := 12348.425;
    dblNorthing := 23476.251;
    dblBearing  := 122.26430;
    ReturnValue := FHAlignmentCollection.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12361.401, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23468.059, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(19.3454, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    dblEasting  := 12467.580;
    dblNorthing := 23533.686;
    dblBearing  := 127.23487;
    ReturnValue := FHAlignmentCollection.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12461.487, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23538.317, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(59.33837, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    dblEasting  := 12429.928;
    dblNorthing := 23534.651;
    dblBearing  := 123.33639;
    ReturnValue := FHAlignmentCollection.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12442.748, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23526.219, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(55.43989, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.3454, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    dblEasting  := 12560.640;
    dblNorthing := 23555.924;
    dblBearing  := 153.29879;
    ReturnValue := FHAlignmentCollection.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12557.200, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23562.762, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(85.40229, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(241.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    dblEasting  := 12527.786;
    dblNorthing := 23574.277;
    dblBearing  := 152.02058;
    ReturnValue := FHAlignmentCollection.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12534.985, ReturnValue.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23560.726, ReturnValue.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(84.12408, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(219.3454, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
  Finally
    FHAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestCount;
var
  ReturnValue: Integer;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddStraight(100, 0.1, 100, 100);
    ReturnValue := FVAlignmentCollection.Count;
    CheckEquals(1, ReturnValue);
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestElementType;
var
  ReturnValue: TElementType;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddStraight(100, 0.1, 100, 100);
    ReturnValue := FVAlignmentCollection.ElementType(0);
    Check(ReturnValue = etStraight);
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestGetElementStart;
var
  ReturnValue: TVInfo;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddStraight(100, 0.1, 100, 100);
    ReturnValue := FVAlignmentCollection.GetElementStart(0);
    CheckEquals(100, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.1, ReturnValue.dblGradient, iBearingTolerance, 'Gradient');
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestGetElementEnd;
var
  ReturnValue: TVInfo;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddStraight(100, 0.1, 100, 100);
    ReturnValue := FVAlignmentCollection.GetElementEnd(0);
    CheckEquals(110, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.1, ReturnValue.dblGradient, iBearingTolerance, 'Gradient');
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestGetStartChainage;
var
  ReturnValue: Double;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddStraight(100, 0.1, 100, 100);
    ReturnValue := FVAlignmentCollection.GetStartChainage(0);
    CheckEquals(100, ReturnValue, iCoordinateTolerance);
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestGetEndChainage;
var
  ReturnValue: Double;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddStraight(100, 0.1, 100, 100);
    ReturnValue := FVAlignmentCollection.GetEndChainage(0);
    CheckEquals(200, ReturnValue, iCoordinateTolerance);
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestGetRadius;
var
  ReturnValue: Double;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddStraight(100, 0.1, 100, 100);
    ReturnValue := FVAlignmentCollection.GetRadius(0, 150);
    CheckEquals(999999.9, ReturnValue, iCoordinateTolerance);
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestLoadFromFileSaveToFile;
Var
  strFileName : String;
  R : TVElement;
begin
  strFileName := ExtractFilePath(ParamStr(0)) + 'TestAlignment.TXT';
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddStraight(100, 0.1, 100, 100);
    Check(Not FileExists(strFileName), 'Before Create');
    FVAlignmentCollection.SaveToFile(strFileName);
    Check(FileExists(strFileName), 'After Create');
    FVAlignmentCollection.Clear;
    Check(FVAlignmentCollection.Count = 0, 'Check Clear');
    FVAlignmentCollection.LoadFromFile(strFileName);
    R := FVAlignmentCollection.GetStraight(0);
    CheckEquals(100, R.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.1, R.dblGradient, iCoordinateTolerance, 'Gradient');
    CheckEquals(100, R.dblChainage, iBearingTolerance, 'Bearing');
    CheckEquals(100, R.dblLength, iCoordinateTolerance, 'Length');
    DeleteFile(strFileName);
    Check(Not FileExists(strFileName), 'After Delete');
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestAddStraight;
var
  S : TVElement;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    CheckEquals(0, FVAlignmentCollection.Count);
    FVAlignmentCollection.AddStraight(100, 0.1, 100, 100);
    CheckEquals(1, FVAlignmentCollection.Count);
    S := FVAlignmentCollection.GetStraight(0);
    CheckEquals(100, S.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.1, S.dblGradient, iBearingTolerance, 'Gradient');
    CheckEquals(100, S.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(100, S.dblLength, iCoordinateTolerance, 'Length');
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestAddCircular;
var
  C : TVElement;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    CheckEquals(0, FVAlignmentCollection.Count);
    FVAlignmentCollection.AddCircular(100, 0.1, 100, 100, -1000);
    CheckEquals(1, FVAlignmentCollection.Count);
    C := FVAlignmentCollection.GetCircular(0);
    CheckEquals(100, C.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.1, C.dblGradient, iBearingTolerance, 'Gradient');
    CheckEquals(100, C.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(100, C.dblLength, iCoordinateTolerance, 'Length');
    CheckEquals(-1000, C.dblRadius, iCoordinateTolerance, 'Radius');
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestUpdateStraight;
var
  S : TVElement;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddStraight(100, 0.1, 100, 100);
    S := FVAlignmentCollection.GetStraight(0);
    CheckEquals(100, S.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.1, S.dblGradient, iBearingTolerance, 'Gradient');
    CheckEquals(100, S.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(100, S.dblLength, iCoordinateTolerance, 'Length');
    FVAlignmentCollection.UpdateStraight(0, 200, 0.2, 200, 200);
    S := FVAlignmentCollection.GetStraight(0);
    CheckEquals(200, S.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.2, S.dblGradient, iBearingTolerance, 'Gradient');
    CheckEquals(200, S.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(200, S.dblLength, iCoordinateTolerance, 'Length');
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestUpdateCircular;
var
  C : TVElement;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddCircular(100, 0.1, 100, 100, -1000);
    C := FVAlignmentCollection.GetCircular(0);
    CheckEquals(100, C.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.1, C.dblGradient, iBearingTolerance, 'Gradient');
    CheckEquals(100, C.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(100, C.dblLength, iCoordinateTolerance, 'Length');
    CheckEquals(-1000, C.dblRadius, iCoordinateTolerance, 'Radius');
    FVAlignmentCollection.UpdateCircular(0, 200, 0.2, 200, 200, -2000);
    C := FVAlignmentCollection.GetCircular(0);
    CheckEquals(200, C.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.2, C.dblGradient, iBearingTolerance, 'Gradient');
    CheckEquals(200, C.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(200, C.dblLength, iCoordinateTolerance, 'Length');
    CheckEquals(-2000, C.dblRadius, iCoordinateTolerance, 'Radius');
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestGetStraight;
var
  S : TVElement;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddStraight(100, 0.1, 100, 100);
    S := FVAlignmentCollection.GetStraight(0);
    CheckEquals(100, S.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.1, S.dblGradient, iBearingTolerance, 'Gradient');
    CheckEquals(100, S.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(100, S.dblLength, iCoordinateTolerance, 'Length');
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestGetCircular;
var
  C : TVElement;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddCircular(100, 0.1, 100, 100, -1000);
    C := FVAlignmentCollection.GetCircular(0);
    CheckEquals(100, C.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.1, C.dblGradient, iBearingTolerance, 'Gradient');
    CheckEquals(100, C.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(100, C.dblLength, iCoordinateTolerance, 'Length');
    CheckEquals(-1000, C.dblRadius, iCoordinateTolerance, 'Radius');
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestStartChainage;
var
  ReturnValue: Double;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddCircular(100, 0.1, 100, 100, -1000);
    ReturnValue := FVAlignmentCollection.StartChainage;
    CheckEquals(100, ReturnValue, iCoordinateTolerance);
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestEndChainage;
var
  ReturnValue: Double;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddCircular(100, 0.1, 100, 100, -1000);
    ReturnValue := FVAlignmentCollection.EndChainage;
    CheckEquals(200, ReturnValue, iCoordinateTolerance);
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestClear;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    CheckEquals(0, FVAlignmentCollection.Count);
    FVAlignmentCollection.AddStraight(100, 0.1, 100, 100);
    FVAlignmentCollection.AddCircular(110, 0.1, 200, 100, -1000);
    CheckEquals(2, FVAlignmentCollection.Count);
    FVAlignmentCollection.Clear;
    CheckEquals(0, FVAlignmentCollection.Count);
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTVAlignmentCollection.TestSetout;
var
  ReturnValue: TVInfo;
begin
  FVAlignmentCollection := TVAlignmentCollection.Create;
  Try
    FVAlignmentCollection.AddStraight(100, 0.1, 100, 100);
    FVAlignmentCollection.AddCircular(110, 0.1, 200, 100, -1000);
    ReturnValue := FVAlignmentCollection.Setout(150);
    CheckEquals(105, ReturnValue.dblLevel, iCoordinateTolerance);
    CheckEquals(0.1, ReturnValue.dblGradient, iBearingTolerance);
    ReturnValue := FVAlignmentCollection.Setout(250);
    CheckEquals(113.75, ReturnValue.dblLevel, iCoordinateTolerance);
    CheckEquals(0.05, ReturnValue.dblGradient, iBearingTolerance);
  Finally
    FVAlignmentCollection.Free;
  End;
end;

procedure TestTStringAlignment.TestSaveToFileLoadFromFile;
var
  strFileName: string;
  R : THElement;
begin
  strFileName := ExtractFilePath(ParamStr(0)) + 'TestAlignment.TXT';
  FStringAlignment := TStringAlignment.Create;
  Try
    FStringAlignment.HAlignment.AddCircular(12345.678, 23456.789, 123.456789, 100, 1000, 100, True);
    FStringAlignment.VAlignment.AddStraight(100, 0.1, 100, 100);
    Check(Not FileExists(strFileName), 'Before Create');
    FStringAlignment.SaveToFile(strFileName);
    Check(FileExists(strFileName), 'After Create');
    FStringAlignment.Clear;
    Check(FStringAlignment.HAlignment.Count = 0, 'Check Clear');
    Check(FStringAlignment.VAlignment.Count = 0, 'Check Clear');
    FStringAlignment.LoadFromFile(strFileName);
    R := FStringAlignment.HAlignment.GetCircular(0);
    CheckEquals(12345.678, R.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23456.789, R.dblNorthing, iCoordinateTolerance, 'Easting');
    CheckEquals(123.456789, R.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(100, R.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(1000, R.dblRadius, iCoordinateTolerance, 'Radius');
    CheckEquals(100, R.dblLength, iCoordinateTolerance, 'Length');
    DeleteFile(strFileName);
    Check(Not FileExists(strFileName), 'After Delete');
  Finally
    FStringAlignment.Free;
  End;
end;

procedure TestTStringAlignment.TestClear;
begin
  FStringAlignment := TStringAlignment.Create;
  Try
    FStringAlignment.HAlignment.AddCircular(12345.678, 23456.789, 123.456789, 100, 1000, 100, True);
    FStringAlignment.VAlignment.AddStraight(100, 0.1, 100, 100);
    Check(FStringAlignment.HAlignment.Count = 1, 'Check Clear');
    Check(FStringAlignment.VAlignment.Count = 1, 'Check Clear');
    FStringAlignment.Clear;
    Check(FStringAlignment.HAlignment.Count = 0, 'Check Clear');
    Check(FStringAlignment.VAlignment.Count = 0, 'Check Clear');
  Finally
    FStringAlignment.Free;
  End;
end;

procedure TestTStringAlignment.TestSetout;
var
  ReturnValue: TInfo;
  dblOffset: Double;
  dblChainage: Double;
begin
  FStringAlignment := TStringAlignment.Create;
  Try
    FStringAlignment.HAlignment.AddStraight(12345.678, 23456.789, 54.3678, 0, 100);
    FStringAlignment.HAlignment.AddClothoid(12426.955, 23515.047, 54.3678, 100, 100,
      10000, 100);
    FStringAlignment.HAlignment.AddCircular(12515.762, 23558.559, 83.01569, 200,
      1000, 100, False);
    FStringAlignment.VAlignment.AddStraight(100, 0.1, 0, 100);
    FStringAlignment.VAlignment.AddCircular(110, 0.1, 100, 200, -1000);
    dblChainage := 23.456;
    dblOffset   :=  9.345;
    ReturnValue := FStringAlignment.Setout(dblChainage, dblOffset);
    CheckEquals(12370.187, ReturnValue.HInfo.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23462.859, ReturnValue.HInfo.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  54.3678, ReturnValue.HInfo.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(  102.345, ReturnValue.VInfo.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(      0.1, ReturnValue.VInfo.dblGradient, iCoordinateTolerance, 'Gradient');
    dblChainage := 34.566;
    dblOffset   :=-12.345;
    ReturnValue := FStringAlignment.Setout(dblChainage, dblOffset);
    CheckEquals(12366.580, ReturnValue.HInfo.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23486.960, ReturnValue.HInfo.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  54.3678, ReturnValue.HInfo.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(  103.456, ReturnValue.VInfo.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(      0.1, ReturnValue.VInfo.dblGradient, iCoordinateTolerance, 'Gradient');
    dblChainage := 123.456;
    dblOffset   :=  9.345;
    ReturnValue := FStringAlignment.Setout(dblChainage, dblOffset);
    CheckEquals(12451.377, ReturnValue.HInfo.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23520.794, ReturnValue.HInfo.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  55.94396, ReturnValue.HInfo.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(  112.070, ReturnValue.VInfo.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(    0.077, ReturnValue.VInfo.dblGradient, iCoordinateTolerance, 'Gradient');
    dblChainage := 134.566;
    dblOffset   :=-12.345;
    ReturnValue := FStringAlignment.Setout(dblChainage, dblOffset);
    CheckEquals(12448.860, ReturnValue.HInfo.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23545.063, ReturnValue.HInfo.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  57.79067, ReturnValue.HInfo.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(  112.859, ReturnValue.VInfo.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(    0.065, ReturnValue.VInfo.dblGradient, iCoordinateTolerance, 'Gradient');
    dblChainage := 223.456;
    dblOffset   :=  9.345;
    ReturnValue := FStringAlignment.Setout(dblChainage, dblOffset);
    CheckEquals(12539.994, ReturnValue.HInfo.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23551.838, ReturnValue.HInfo.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  84.35962, ReturnValue.HInfo.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(  114.725, ReturnValue.VInfo.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(   -0.023, ReturnValue.VInfo.dblGradient, iCoordinateTolerance, 'Gradient');
    dblChainage := 234.566;
    dblOffset   :=-12.345;
    ReturnValue := FStringAlignment.Setout(dblChainage, dblOffset);
    CheckEquals(12549.060, ReturnValue.HInfo.dblEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23574.466, ReturnValue.HInfo.dblNorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(  84.99618, ReturnValue.HInfo.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(  114.402, ReturnValue.VInfo.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(   -0.035, ReturnValue.VInfo.dblGradient, iCoordinateTolerance, 'Gradient');
  Finally
    FStringAlignment.Free;
  End;
end;

procedure TestTStringAlignment.TestMeasure;
var
  ReturnValue: TMeasureInfo;
  dblNorthing: Double;
  dblEasting: Double;
begin
  FStringAlignment := TStringAlignment.Create;
  Try
    FStringAlignment.HAlignment.AddStraight(12345.678, 23456.789, 54.3678, 0, 100);
    FStringAlignment.HAlignment.AddClothoid(12426.955, 23515.047, 54.3678, 100, 100,
      10000, 100);
    FStringAlignment.HAlignment.AddCircular(12515.762, 23558.559, 83.01569, 200,
      1000, 100, False);
    FStringAlignment.VAlignment.AddStraight(100, 0.1, 0, 100);
    FStringAlignment.VAlignment.AddCircular(110, 0.1, 100, 200, -1000);
    dblEasting  := 12370.187;
    dblNorthing := 23462.859;
    ReturnValue := FStringAlignment.Measure(dblEasting, dblNorthing);
    CheckEquals(23.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(  102.345, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(      0.1, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
    dblEasting  := 12366.580;
    dblNorthing := 23486.960;
    ReturnValue := FStringAlignment.Measure(dblEasting, dblNorthing);
    CheckEquals(34.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(  103.456, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(      0.1, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
    dblEasting  := 12451.377;
    dblNorthing := 23520.794;
    ReturnValue := FStringAlignment.Measure(dblEasting, dblNorthing);
    CheckEquals(123.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(55.94396, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(  112.070, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(    0.077, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
    dblEasting  := 12448.860;
    dblNorthing := 23545.063;
    ReturnValue := FStringAlignment.Measure(dblEasting, dblNorthing);
    CheckEquals(134.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(57.79067, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(  112.859, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(    0.065, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
    dblEasting  := 12539.994;
    dblNorthing := 23551.838;
    ReturnValue := FStringAlignment.Measure(dblEasting, dblNorthing);
    CheckEquals(223.456, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals( 9.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(84.35962, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(  114.725, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(   -0.023, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
    dblEasting  := 12549.060;
    dblNorthing := 23574.466;
    ReturnValue := FStringAlignment.Measure(dblEasting, dblNorthing);
    CheckEquals(234.566, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-12.345, ReturnValue.dblOffset, iCoordinateTolerance, 'Offset');
    CheckEquals(84.99618, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(  114.402, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(   -0.035, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
  Finally
    FStringAlignment.Free;
  End;
end;

procedure TestTStringAlignment.TestCompare;
var
  ReturnValue: TCompareInfo;
  dblBearing: Double;
  dblNorthing: Double;
  dblEasting: Double;
begin
  FStringAlignment := TStringAlignment.Create;
  Try
    FStringAlignment.HAlignment.AddStraight(12345.678, 23456.789, 54.3678, 0, 100);
    FStringAlignment.HAlignment.AddClothoid(12426.955, 23515.047, 54.3678, 100, 100,
      10000, 100);
    FStringAlignment.HAlignment.AddCircular(12515.762, 23558.559, 83.01569, 200,
      1000, 100, False);
    FStringAlignment.VAlignment.AddStraight(100, 0.1, 0, 100);
    FStringAlignment.VAlignment.AddCircular(110, 0.1, 100, 200, -1000);
    dblEasting  := 12386.005;
    dblNorthing := 23476.970;
    dblBearing  := 122.26430;
    ReturnValue := FStringAlignment.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12379.533, ReturnValue.dblIEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23481.056, ReturnValue.dblINorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(41.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(104.165, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.1, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
    dblEasting  := 12348.425;
    dblNorthing := 23476.251;
    dblBearing  := 122.26430;
    ReturnValue := FStringAlignment.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12361.401, ReturnValue.dblIEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23468.059, ReturnValue.dblINorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(54.3678, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(19.3454, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(101.934, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.1, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
    dblEasting  := 12467.580;
    dblNorthing := 23533.686;
    dblBearing  := 127.23487;
    ReturnValue := FStringAlignment.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12461.487, ReturnValue.dblIEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23538.317, ReturnValue.dblINorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(59.33837, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(141.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(113.298, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.058, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
    dblEasting  := 12429.928;
    dblNorthing := 23534.651;
    dblBearing  := 123.33639;
    ReturnValue := FStringAlignment.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12442.748, ReturnValue.dblIEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23526.219, ReturnValue.dblINorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(55.43989, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(119.3454, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(111.747, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(0.081, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
    dblEasting  := 12560.640;
    dblNorthing := 23555.924;
    dblBearing  := 153.29879;
    ReturnValue := FStringAlignment.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12557.200, ReturnValue.dblIEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23562.762, ReturnValue.dblINorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(85.40229, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(241.654, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(-7.654, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(114.132, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(-0.042, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
    dblEasting  := 12527.786;
    dblNorthing := 23574.277;
    dblBearing  := 152.02058;
    ReturnValue := FStringAlignment.Compare(dblEasting, dblNorthing, dblBearing);
    CheckEquals(12534.985, ReturnValue.dblIEasting, iCoordinateTolerance, 'Easting');
    CheckEquals(23560.726, ReturnValue.dblINorthing, iCoordinateTolerance, 'Northing');
    CheckEquals(84.12408, ReturnValue.dblBearing, iBearingTolerance, 'Bearing');
    CheckEquals(219.3454, ReturnValue.dblChainage, iCoordinateTolerance, 'Chainage');
    CheckEquals(15.345, ReturnValue.dblDistance, iCoordinateTolerance, 'Offset');
    CheckEquals(114.813, ReturnValue.dblLevel, iCoordinateTolerance, 'Level');
    CheckEquals(-0.019, ReturnValue.dblGradient, iCoordinateTolerance, 'Gradient');
  Finally
    FStringAlignment.Free;
  End;
end;

{ THStraightElementTestClass }

function THStraightElementTestClass.Compare(dblEasting, dblNorthing,
  dblBearing: Double): THCompInfo;
begin
  Result := Inherited Compare(dblEasting, dblNorthing, dblBearing);
end;

constructor THStraightElementTestClass.Create(dblEasting, dblNorthing,
  dblBearing, dblChainage, dblLength: Double);
begin
  inherited;
end;

function THStraightElementTestClass.GetElementType: TElementType;
begin
  Result := Inherited GetElementType;
end;

function THStraightElementTestClass.GetElementDetails: THElement;
begin
  Result := Inherited GetElementDetails;
end;

function THStraightElementTestClass.GetEndChainage: Double;
begin
  Result := Inherited GetEndChainage;
end;

function THStraightElementTestClass.GetEndPoint: THInfo;
begin
  Result := Inherited GetEndPoint;
end;

function THStraightElementTestClass.GetRadius(dblChainage: Double): Double;
begin
  Result := Inherited GetRadius(dblChainage);
end;

function THStraightElementTestClass.GetStartChainage: Double;
begin
  Result := Inherited GetStartChainage;
end;

function THStraightElementTestClass.GetStartPoint: THInfo;
begin
  Result := Inherited GetStartPoint;
end;

function THStraightElementTestClass.Measure(dblEasting, dblNorthing: Double): THInfo;
begin
  Result := Inherited Measure(dblEasting, dblNorthing);
end;

function THStraightElementTestClass.Setout(dblChainage, dblOffset: Double): THInfo;
begin
  Result := Inherited Setout(dblChainage, dblOffset);
end;

{ THCircularElementTestClass }

function THCircularElementTestClass.Compare(dblEasting, dblNorthing,
  dblBearing: Double): THCompInfo;
begin
  Result := Inherited Compare(dblEasting, dblNorthing, dblBearing);
end;

constructor THCircularElementTestClass.Create(dblEasting, dblNorthing,
  dblChainage, dblBearing, dblLength, dblRadius: Double; bCentre: Boolean);
begin
  Inherited Create(dblEasting, dblNorthing, dblChainage, dblBearing, dblLength,
    dblRadius, bCentre);
end;

function THCircularElementTestClass.GetElementType: TElementType;
begin
  Result := Inherited GetElementType;
end;

function THCircularElementTestClass.GetElementDetails: THElement;
begin
  Result := Inherited GetElementDetails;
end;

function THCircularElementTestClass.GetEndChainage: Double;
begin
  Result := Inherited GetEndChainage;
end;

function THCircularElementTestClass.GetEndPoint: THInfo;
begin
  Result := Inherited GetEndPoint;
end;

function THCircularElementTestClass.GetRadius(dblChainage: Double): Double;
begin
  Result := Inherited GetRadius(dblChainage);
end;

function THCircularElementTestClass.GetStartChainage: Double;
begin
  Result := Inherited GetStartChainage;
end;

function THCircularElementTestClass.GetStartPoint: THInfo;
begin
  Result := Inherited GetStartPoint;
end;

function THCircularElementTestClass.Measure(dblEasting, dblNorthing: Double): THInfo;
begin
  Result := Inherited Measure(dblEasting, dblNorthing);
end;

function THCircularElementTestClass.Setout(dblChainage, dblOffset: Double): THInfo;
begin
  Result := Inherited Setout(dblChainage, dblOffset);
end;

{ THClothoidElementTestClass }

function THClothoidElementTestClass.Compare(dblEasting, dblNorthing,
  dblBearing: Double): THCompInfo;
begin
  Result := Inherited Compare(dblEasting, dblNorthing, dblBearing);
end;

constructor THClothoidElementTestClass.Create(dblEasting, dblNorthing,
  dblChainage, dblBearing, dblLength, dblStChainageOrRadius,
  dblRLValueOrEndRadius: Double; boolFalse : Boolean);
begin
  inherited;
end;

function THClothoidElementTestClass.GetElementType: TElementType;
begin
  Result := Inherited GetElementType;
end;

function THClothoidElementTestClass.GetElementDetails: THElement;
begin
  Result := Inherited GetElementDetails;
end;

function THClothoidElementTestClass.GetEndChainage: Double;
begin
  Result := Inherited GetEndChainage;
end;

function THClothoidElementTestClass.GetEndPoint: THInfo;
begin
  Result := Inherited GetEndPoint;
end;

function THClothoidElementTestClass.GetRadius(dblChainage: Double): Double;
begin
  Result := Inherited GetRadius(dblChainage);
end;

function THClothoidElementTestClass.GetStartChainage: Double;
begin
  Result := Inherited GetStartChainage;
end;

function THClothoidElementTestClass.GetStartPoint: THInfo;
begin
  Result := Inherited GetStartPoint;
end;

function THClothoidElementTestClass.GetTheta(dblDistance: Double): Double;
begin
  Result := Inherited GetTheta(dblDistance);
end;

function THClothoidElementTestClass.GetX(dblDistance: Double): Double;
begin
  Result := Inherited GetX(dblDistance);
end;

function THClothoidElementTestClass.GetY(dblDistance: Double): Double;
begin
  Result := Inherited GetY(dblDistance);
end;

function THClothoidElementTestClass.Measure(dblEasting,
  dblNorthing: Double): THInfo;
begin
  Result := Inherited Measure(dblEasting, dblNorthing);
end;

{ TVStraightElementTestClass }

function TVStraightElementTestClass.GetElementType: TElementType;
begin
  Result := Inherited GetElementType;
end;

function TVStraightElementTestClass.GetEndChainage: Double;
begin
  Result := Inherited GetEndChainage;
end;

function TVStraightElementTestClass.GetEndPoint: TVInfo;
begin
  Result := Inherited GetEndPoint;
end;

function TVStraightElementTestClass.GetRadius(dblChainage: Double): Double;
begin
  Result := Inherited GetRadius(dblChainage);
end;

function TVStraightElementTestClass.GetStartChainage: Double;
begin
  Result := Inherited GetStartChainage;
end;

function TVStraightElementTestClass.GetStartPoint: TVInfo;
begin
  Result := Inherited GetStartPoint;
end;

function TVStraightElementTestClass.Setout(dblChainage: Double): TVInfo;
begin
  Result := Inherited Setout(dblChainage);
end;

{ TVCircularElementTestClass }

function TVCircularElementTestClass.GetElementType: TElementType;
begin
  Result := Inherited GetElementType;
end;

function TVCircularElementTestClass.GetEndChainage: Double;
begin
  Result := Inherited GetEndChainage;
end;

function TVCircularElementTestClass.GetEndPoint: TVInfo;
begin
  Result := Inherited GetEndPoint;
end;

function TVCircularElementTestClass.GetRadius(dblChainage: Double): Double;
begin
  Result := Inherited GetRadius(dblChainage);
end;

function TVCircularElementTestClass.GetStartChainage: Double;
begin
  Result := Inherited GetStartChainage;
end;

function TVCircularElementTestClass.GetStartPoint: TVInfo;
begin
  Result := Inherited GetStartPoint;
end;

function TVCircularElementTestClass.Setout(dblChainage: Double): TVInfo;
begin
  Result := Inherited Setout(dblChainage);
end;

initialization
  // Register any test cases with the test runner
  RegisterTest('Exported Functions', TestApplicationFunctions.Suite);
  RegisterTest('Horizontal Elements', TestTHStraightElement.Suite);
  RegisterTest('Horizontal Elements', TestTHCircularElement.Suite);
  RegisterTest('Horizontal Elements', TestTHClothoidElement.Suite);
  RegisterTest('Vertical Elements', TestTVStraightElement.Suite);
  RegisterTest('Vertical Elements', TestTVCircularElement.Suite);
  RegisterTest('Alignment Collections', TestTHAlignmentCollection.Suite);
  RegisterTest('Alignment Collections', TestTVAlignmentCollection.Suite);
  RegisterTest('Alignment Collections', TestTStringAlignment.Suite);
end.


